[Touch-packages] [Bug 1659719] Re: ssh can't call a binary from a snap without the full path

2020-07-14 Thread Launchpad Bug Tracker
This bug was fixed in the package pam - 1.3.1-5ubuntu5

---
pam (1.3.1-5ubuntu5) groovy; urgency=medium

  * debian/libpam-modules.postinst: Add /snap/bin to $PATH in
/etc/environment. (LP: #1659719)

 -- Michael Hudson-Doyle   Fri, 10 Jul 2020
08:35:49 +1200

** Changed in: pam (Ubuntu Groovy)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1659719

Title:
  ssh can't call a binary from a snap without the full path

Status in Snappy:
  Fix Committed
Status in livecd-rootfs package in Ubuntu:
  Fix Released
Status in openssh package in Ubuntu:
  Confirmed
Status in pam package in Ubuntu:
  Fix Released
Status in livecd-rootfs source package in Xenial:
  New
Status in openssh source package in Xenial:
  New
Status in pam source package in Xenial:
  New
Status in livecd-rootfs source package in Bionic:
  New
Status in openssh source package in Bionic:
  New
Status in pam source package in Bionic:
  New
Status in livecd-rootfs source package in Focal:
  New
Status in openssh source package in Focal:
  New
Status in pam source package in Focal:
  New
Status in livecd-rootfs source package in Groovy:
  Fix Released
Status in openssh source package in Groovy:
  Confirmed
Status in pam source package in Groovy:
  Fix Released
Status in openssh package in Debian:
  New

Bug description:
  ssh can't call a binary from a snap, it will only work using the full
  path.

  Let's say I have the hello snap installed in 192.168.122.24. Then:

  elopio@ubuntu-xenial:~/mosh$ ssh 192.168.122.24 hello
  elopio@192.168.122.24's password:
  bash: hello: command not found
  elopio@ubuntu-xenial:~/mosh$ ssh 192.168.122.24 /snap/bin/hello
  elopio@192.168.122.24's password:
  Hello, world!

To manage notifications about this bug go to:
https://bugs.launchpad.net/snappy/+bug/1659719/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887610] [NEW] There is no available audio entry in sound settings after execute suspend in 'Performance mode'

2020-07-14 Thread Hui Wang
Public bug reported:

This is for tracking purpose.

** Affects: hwe-next
 Importance: Undecided
 Status: New

** Affects: pulseaudio (Ubuntu)
 Importance: Critical
 Assignee: Hui Wang (hui.wang)
 Status: New

** Affects: pulseaudio (Ubuntu Bionic)
 Importance: Undecided
 Status: New

** Affects: pulseaudio (Ubuntu Eoan)
 Importance: Undecided
 Status: New

** Affects: pulseaudio (Ubuntu Focal)
 Importance: Undecided
 Status: New

** Affects: pulseaudio (Ubuntu Groovy)
 Importance: Critical
 Assignee: Hui Wang (hui.wang)
 Status: New


** Tags: oem-priority originate-from-1883046 sutton

** Changed in: pulseaudio (Ubuntu)
   Importance: Undecided => Critical

** Also affects: pulseaudio (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: pulseaudio (Ubuntu Eoan)
   Importance: Undecided
   Status: New

** Also affects: pulseaudio (Ubuntu Groovy)
   Importance: Critical
 Assignee: Hui Wang (hui.wang)
   Status: New

** Also affects: pulseaudio (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Summary changed:

- No audio entry in sound settings after suspend and resume [Performance mode]
+ There is no available audio entry in sound settings after execute suspend in 
'Performance mode'

** Tags added: oem-priority originate-from-1883046 sutton

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887610

Title:
  There is no available audio entry in sound settings after execute
  suspend in 'Performance mode'

Status in HWE Next:
  New
Status in pulseaudio package in Ubuntu:
  New
Status in pulseaudio source package in Bionic:
  New
Status in pulseaudio source package in Eoan:
  New
Status in pulseaudio source package in Focal:
  New
Status in pulseaudio source package in Groovy:
  New

Bug description:
  This is for tracking purpose.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1887610/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1807514] Re: installed systemd-shim package post-removal script subprocess returned error exit status 2

2020-07-14 Thread Launchpad Bug Tracker
[Expired for systemd-shim (Ubuntu) because there has been no activity
for 60 days.]

** Changed in: systemd-shim (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd-shim in Ubuntu.
https://bugs.launchpad.net/bugs/1807514

Title:
  installed systemd-shim package post-removal script subprocess returned
  error exit status 2

Status in systemd-shim package in Ubuntu:
  Expired

Bug description:
  installed systemd-shim package post-removal script subprocess returned
  error exit status 2

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 4.15.0-42.45-generic 4.15.18
  Uname: Linux 4.15.0-42-generic i686
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: i386
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  Date: Sat Dec  8 17:13:53 2018
  DistUpgraded: 2018-12-08 17:07:42,953 DEBUG /openCache(), new cache size 61306
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: I just need to know a workaround
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 
Series] [1002:68f9] (prog-if 00 [VGA controller])
 Subsystem: XFX Pine Group Inc. Cedar [Radeon HD 5000/6000/7350/8350 
Series] [1682:3030]
  InstallationDate: Installed on 2014-02-15 (1757 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release i386 (20131016.1)
  MachineType: Dell Inc. Dell DXP051
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-42-generic 
root=UUID=e3337e9d-4116-4f99-b96f-8019182e5c07 ro
  Renderer: Software
  SourcePackage: xorg
  UpgradeStatus: Upgraded to bionic on 2018-12-08 (0 days ago)
  dmi.bios.date: 01/08/2007
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A07
  dmi.board.name: 0YC523
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 7
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA07:bd01/08/2007:svnDellInc.:pnDellDXP051:pvr:rvnDellInc.:rn0YC523:rvr:cvnDellInc.:ct7:cvr:
  dmi.product.name: Dell DXP051
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.13.1+18.04.20180302-0ubuntu1
  version.libdrm2: libdrm2 2.4.91-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~18.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~18.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.5-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2
  xserver.bootTime: Sun Nov  4 10:33:25 2018
  xserver.configfile: default
  xserver.logfile: /var/log/Xorg.0.log
  xserver.version: 2:1.19.6-1ubuntu4.2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd-shim/+bug/1807514/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879015] Re: Autologin doesn't work (Lubuntu 18.04)

2020-07-14 Thread Launchpad Bug Tracker
[Expired for lightdm (Ubuntu) because there has been no activity for 60
days.]

** Changed in: lightdm (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1879015

Title:
  Autologin doesn't work (Lubuntu 18.04)

Status in lightdm package in Ubuntu:
  Expired

Bug description:
  I tried everything.

  3) I expected a working autologin once I set autologin-user=myusername in 
/etc/lightdm/lightdm.conf. Also I tried to change default session option. After 
I set "Do not ask password" in Users and Groups GUI autologin didn't work 
either. I needed to press "Login" button anyway. I don't know where the problem 
is. The only way to make autologin work I know is to set "Autologin" option 
while system installation. I don't want to reinstall to change just one option.
  Currently I use slim desktop manager. It's simpler and works. I have all 
possible options in /etc/slim.conf, I just need to uncomment something and 
edit. No need of reading docs and forums to just know what it can do. I hope 
someday lightdm will be changed in the same KISS way as slim.

  4) For some reason autologin doesn't work. Looks like lightdm just
  ignores its config files. It either shouldn't ignore these files or
  should provide a tool for configuring. The GUI tools I found doesn't
  provide an autologin option.

  (lightdm-autologin-greeter package doesn't help (I've edited
  /etc/lightdm/lightdm.conf.d/lightdm-autologin-greeter.conf properly),
  lightdm package doesn't have /etc/lightdm/lightdm.conf file)

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: lightdm 1.26.0-0ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-51.44~18.04.2-generic 5.3.18
  Uname: Linux 5.3.0-51-generic i686
  ApportVersion: 2.20.9-0ubuntu7.14
  Architecture: i386
  CurrentDesktop: LXDE
  Date: Sat May 16 04:05:25 2020
  InstallationDate: Installed on 2020-05-09 (6 days ago)
  InstallationMedia: Lubuntu 18.04.4 LTS "Bionic Beaver" - Release i386 
(20200203)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no username)
   XDG_RUNTIME_DIR=
   LANG=ru_RU.UTF-8
   SHELL=/bin/bash
  SourcePackage: lightdm
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1879015/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879980] Re: Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

2020-07-14 Thread Bug Watch Updater
** Changed in: cryptsetup (Debian)
   Status: Unknown => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1879980

Title:
  Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

Status in cryptsetup package in Ubuntu:
  In Progress
Status in initramfs-tools package in Ubuntu:
  Confirmed
Status in mdadm package in Ubuntu:
  Confirmed
Status in cryptsetup package in Debian:
  New

Bug description:
  [Impact]
  * Considering a setup of a encrypted rootfs on top of md RAID1 device, Ubuntu 
is currently unable to decrypt the rootfs if the array gets degraded, like for 
example if one of the array members gets removed.

  * The problem has 2 main aspects: first, cryptsetup initramfs script
  attempts to decrypt the array only in the local-top boot stage, and in
  case it fails, it gives-up and show user a shell (boot is aborted).

  * Second, mdadm initramfs script that assembles degraded arrays
  executes later on boot, in the local-block stage. So, in a stacked
  setup of encrypted root on top of RAID, if the RAID is degraded,
  cryptsetup fails early in the boot, preventing mdadm to assemble the
  degraded array.

  [Proposed solution]
  * The solution hereby proposed has 3 components: first, cryptsetup script is 
modified to allow a gentle failure on local-top stage, then it retries for a 
while in a later stage (local-block). This gives time to other initramfs 
scripts to run, like mdadm in local-block stage.

  * Second, mdadm script was adjusted - currently, it retries for a
  while to assemble the arrays in a non-degraded mode, by waiting for
  udev to discover the missing devices. After some time, it gives-up and
  assembles all arrays as degraded. The adjust we made was only to
  reduce this number of attempts and fallback a bit faster to degraded
  array assembly.

  * Third, there's a difference in Ubuntu initramfs-tools compared to
  Debian's : in Ubuntu, we rely on wait-for-root, a binary meant to
  speed-up the boot process. Problem is that currently this approach
  prevents local-block scripts to run more than once (thus retrying
  mechanisms will fail). Our proposed solution changes initramfs-tools
  to allow some looping in local-block stage (as Debian), but still
  relying on wait-for-root. Also, we increased a bit the default
  rootdelay from 30 seconds to 60 seconds.

  
  [Test case]
  * Install Ubuntu in a Virtual Machine with 2 disks. Use the installer to 
create a RAID1 volume and an encrypted root on top of it.

  * Boot the VM, and use "sgdisk"/"wipefs" to erase the partition table
  from one of the RAID members. Reboot and it will fail to mount rootfs
  and continue boot process.

  
  [Regression potential]

  * There are potential for regressions, since this is a change in 3
  boot components. The patches were designed in a way to keep the
  regular case working, it changes the failure case which is not
  currently working anyway.

  * A potential issue in the initramfs-tools change is a bad script in
  local-block, lacking a good "halt" mechanism, to induce a boot loop
  condition. This problem would be exposed by the hereby proposed
  modification.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1879980/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1768625] Re: Bluetooth headset HSP/HFP mode not working in Bionic

2020-07-14 Thread Daniel van Vugt
*** This bug is a duplicate of bug 1576559 ***
https://bugs.launchpad.net/bugs/1576559

This bug is closed as a duplicate of bug 1576559 so please put all
discussion in that other bug instead... Unless it's about the
correctness of the duplicate status.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1768625

Title:
  Bluetooth headset HSP/HFP mode not working in Bionic

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  There is a previous bug with almost the same title, but for Xenial
  (https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1549163). I
  have had this issue in Artful, and when commented on the old bug, I
  was asked to raise a new one instead. I waited to see if Bionic fixed
  it for me, but it does not seem to work still. So!

  Steps to reproduce:
  1. enable bluetooth on computer and switch on the headset.
  2. pair and connect the headset
  3. go to settings to switch headset to HSP/HFP mode to enable mic
  4. save and close window.

  Expected behaviour:
  1. mic should be enabled and headset should be usable to attend calls on 
laptop.

  Behaviour in error:
  1. Headset profile switches back to A2DP and mic is not enabled.

  I am using a generic bluetooth headset on a fresh updated Kubuntu
  18.04 bionic with plasma DE.

  Software versions:
  Kernel: 4.15.0-20-generic
  Bluez version: 5.48-0ubuntu3
  pulseaudio: 1:11.1-1ubuntu7
  pulseaudio-module-bluetooth: 1:11.1-1ubuntu7

  
  Additional information:
  Running "pacmd list-cards" says that HSF/HFP is 'not available' on the 
headset:

  Output from Headset section:
  profiles:
  a2dp_sink: High Fidelity Playback (A2DP Sink) (priority 40, 
available: unknown)
  headset_head_unit: Headset Head Unit (HSP/HFP) (priority 30, 
available: no)
  off: Off (priority 0, available: yes)
  active profile: 

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1768625/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883441] Re: Fatal interaction between sfdisk and lsblk

2020-07-14 Thread Kevin O'Gorman
I tried, but when I went back to the same system, with the same drives,
and tried again -- you guessed it, it did not fail.

I really hate intermittent errors.  You may as well mark this one "works
for me".

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1883441

Title:
  Fatal interaction between sfdisk and lsblk

Status in util-linux package in Ubuntu:
  Incomplete

Bug description:
  I'm posting this against util-linux because it's lsblk calls that
  fail, but the failure depends on a prior call to sfdisk which is part
  of the fdisk package.  Remove the sfdisk call, and the failure does
  not happen, at least in my test setup.

  A call to sfdisk in a script causes a failure of a later series of
  calls to lsblk, in which lsblk fails to return information.

  I know sfdisk is designed for humans, but I'm wanting to automate the
  operation of its --backup option, and don't know of another way.  In
  any event, this failure shoudl be addressed.

  I'm attaching a script with illustrates both the problem and a
  workaround.  The workaround is to introduce a "sleep 1" call in
  between the calls to lsblk.  I can't even imagine why this works, but
  it does in my configuration.  I call the script with the name of a
  device which contains two ntfs partitions, and the name of a directory
  where results are to be stored.  The directory must contain a
  "clone.log" file (it can be empty; it's just to make sure I'm naming
  the correct directory).

  If I call it so it fails:
 bash b5.sh sda /tmp
  because the final lsblk call does not return any information

  However, if I call is to, it succeeds:
 bash -s b5.sh sda /tmp
  because the "-s" switch introduces a "sleep 1" call between lsblk calls.

  This makes no sense, which is why I consider it a bug.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: util-linux 2.31.1-0.4ubuntu3.6
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  Date: Sun Jun 14 09:36:17 2020
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1883441/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887574] Re: "The following additional packages will be installed" and "The following NEW packages will be installed"

2020-07-14 Thread Daniel Letzeisen
User is not familiar with apt conventions.

** Changed in: apt (Ubuntu)
   Status: New => Invalid

** Converted to question:
   https://answers.launchpad.net/ubuntu/+source/apt/+question/691872

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1887574

Title:
  "The following additional packages will be installed" and "The
  following NEW packages will be installed"

Status in apt package in Ubuntu:
  Invalid

Bug description:
  I did:

$ sudo apt-get install cinnamon-desktop-environment

  I attach the complete output below.

  There are two blocks among others:

The following additional packages will be installed:
()
The following NEW packages will be installed:
()

  
  The two lists massively overlap, though they are not exactly identical. 

  The phrasing is ambiguous to start with: even if the two lists didn't
  overlap at all, I would be quite confused by this message, because
  it's not clear what the difference is supposed to be between
  "additional" packages that are going to be installed and "NEW"
  packages that are going to be installed. That alone is an issue.

  But the fact that the two lists are almost (but not quite) identical,
  makes me wonder whether something is wrong, like a duplicate source or
  something. If that was the case, there should be a warning clarifying
  it. If all is ok, then again, the phrasing is deficient.


  $ sudo apt-get install cinnamon-desktop-environment 
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  The following packages were automatically installed and are no longer 
required:
at gcc-9-base:i386 gir1.2-geocodeglib-1.0 gir1.2-mutter-2 
gnome-software-common libaio1 libargon2-0 libatk1.0-0:i386 
libavahi-common-data:i386 libavresample3
libavutil-ffmpeg54 libavutil55 libbcprov-java libboost-date-time1.65.1 
libboost-filesystem1.65.1 libboost-iostreams1.65.1 libboost-locale1.65.1
libboost-program-options1.67.0 libboost-python1.65.1 libboost-regex1.65.1 
libboost-signals1.65.1 libboost-system1.65.1 libboost-thread1.65.1 libbrlapi0.6 
libcamel-1.2-61
libcdio17 libcommons-lang3-java libdatrie1:i386 libdns1104 libevent-2.1-6 
libevent-core-2.1-6 libffi6:i386 libfl2 libfluidsynth1 libfprint0 
libfribidi0:i386 libgcc-8-dev
libgeos-3.6.2 libgeos-3.7.2 libgeotiff2 libgl1-mesa-glx:i386 libgmime-3.0-0 
libgnome-desktop-3-17 libgraphite2-3:i386 libharfbuzz0b:i386 libhunspell-1.6-0 
libidn11:i386
libip6tc0 libiptc0 libisc-export169 libisc1100 libisc1105 libisccc161 
libjs-inherits libkeyutils1:i386 libkyotocabinet16v5 liblivemedia64 libllvm9 
liblouis14 liblouis17
liblouisutdml8 liblwres161 libmagickcore-6.q16-3 libmicrodns0 libmng2:i386 
libmutter-2-0 libmypaint-1.3-0 libmysqlclient20 libnet1 libnfs12 libomp5 
libomp5-10
libopencv-core3.2 libopencv-ml3.2 libopenjpeg5 libopenobex2 liborcus-0.13-0 
libpackagekit-glib2-16 libpango-1.0-0:i386 libpangox-1.0-0 libplacebo4 
libpostproc54
libprocps6 libproj13 libpython3.7-minimal libqpdf21 libqscintilla2-qt5-l10n 
libqt5script5 libreoffice-avmedia-backend-gstreamer libreoffice-style-galaxy 
libruby2.5
libshiboken1.2v5 libshiboken2-5.11 libspeexdsp1:i386 libssl1.0-dev 
libssl1.0.0:i386 libstdc++-7-dev libswresample-ffmpeg1 libtalloc2:i386 
libtevent0:i386 libthai0:i386
libusbmuxd4 libuv1-dev libva1 libvpx3 libvpx5 libwireshark12 libwiretap9 
libwscodecs2 libwsutil10 libx265-146 libx265-79 libx86emu1 libxcb-dri2-0-dev 
libxcb-dri3-dev
libxcb-glx0-dev libxcb-randr0-dev libxcb-sync-dev libxft2:i386 
libxshmfence-dev libxt6:i386 libxv1:i386 node-abbrev node-ansi-regex 
node-aproba node-aws4 node-builtins
node-call-limit node-camelcase node-chownr node-color-name node-concat-map 
node-cookie-jar node-core-util-is node-decamelize node-delegates node-editor 
node-extsprintf
node-fast-deep-equal node-har-schema node-has-flag 
node-has-symbol-support-x node-has-to-string-tag-x node-has-unicode 
node-hosted-git-info node-iferr node-invert-kv
node-is-object node-is-plain-obj node-is-retry-allowed node-is-stream 
node-isstream node-json-schema node-json-stringify-safe node-jsonparse 
node-lcid node-lockfile
node-mime node-nopt node-opener node-path-is-inside 
node-process-nextick-args node-promise-inflight node-pseudomap node-punycode 
node-qs node-qw
node-require-main-filename node-retry node-safe-buffer node-semver 
node-semver-diff node-signal-exit node-slash node-slide node-sorted-object 
node-spdx-license-ids
node-string-decoder node-strip-json-comments node-text-table 
node-tunnel-agent node-uid-number node-unpipe node-uuid 
node-validate-npm-package-name node-wrappy
node-xtend pastebinit pax python-certifi python-constantly python-dateutil 
python-idna python-pyasn1 python-simplejson python3-asn1crypto python3-pycurl
python3-zope.interface 

[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-14 Thread Marcelo Pires
Firefox and pulseaudio* 

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
index : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
jackpoll_ms : 

[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-14 Thread Marcelo Pires
After applying the latest update in Firefox and no audio, or some sound
is working normally for now! Thank you.

Install Kernel 5.8 above on Debian, which also has the same sound
problem as Ubuntu 20.04, but does not work on Debian 10.

Thank you very much and we are at your disposal.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 

[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-14 Thread Marcelo Pires
After applying the latest update in Firefox and no audio, or some sound
is working normally for now! Thank you.

Install Kernel 5.8 above on Debian, which also has the same problem, but
does not work on Debian 10.

Thank you very much and we are at your disposal.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 

[Touch-packages] [Bug 1863080] Re: Unable to use dead keys in Java apps

2020-07-14 Thread Bug Watch Updater
** Changed in: ibus
   Status: Unknown => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1863080

Title:
  Unable to use dead keys in Java apps

Status in ibus:
  New
Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  This is same bug as #540751, as it happens again in Ubuntu 19.10 with
  Java 11. Way of reproduce it:

  - Fresh Ubuntu 19.10 install.
  - Install default-jre.
  - Download (for example) lastest NetBeans version.
  - Edit a file in NetBeans, you can't insert characters like 'á'.

  The workaround is the same, define XMODIFIERS='' before launching the
  app.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ibus/+bug/1863080/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887577] [NEW] DEP8: Invalid capability setuid

2020-07-14 Thread Andreas Hasenack
Public bug reported:

https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac
/autopkgtest-
groovy/groovy/amd64/a/apparmor/20200713_202347_dd214@/log.gz

Excuses is showing apparmor failing dep8 tests when they are triggered
by another package.

last time apparmor was uploaded was on May 14th, and this is the package
under test:

https://launchpad.net/ubuntu/+source/apparmor/2.13.3-7ubuntu6


The errors are like this:
FAIL: test_profile_newer_rewrites_cache (__main__.AAParserAltCacheTests)
--
Traceback (most recent call last):
  File "/tmp/tmp.40nJ4LqRYT/parser/tst/testlib.py", line 50, in 
new_unittest_func
return unittest_func(self)
  File "./caching.py", line 448, in test_profile_newer_rewrites_cache
self._generate_cache_file()
  File "./caching.py", line 257, in _generate_cache_file
self.run_cmd_check(cmd)
  File "/tmp/tmp.40nJ4LqRYT/parser/tst/testlib.py", line 73, in run_cmd_check
self.assertEqual(rc, expected_rc, "Got return code %d, expected %d\nCommand 
run: %s\nOutput: %s" % (rc, expected_rc, (' '.join(command)), report))
AssertionError: 1 != 0 : Got return code 1, expected 0
Command run: ../apparmor_parser --config-file=./parser.conf --base 
/tmp/aa-caching-s3l9wndt --skip-kernel-load --cache-loc 
/tmp/aa-caching-s3l9wndt/cache --cache-loc 
/tmp/aa-caching-s3l9wndt/aa-alt-cachezi43qt78 -q --write-cache -r 
/tmp/aa-caching-s3l9wndt/sbin.pingy
Output: AppArmor parser error for /tmp/aa-caching-s3l9wndt/sbin.pingy in 
/tmp/aa-caching-s3l9wndt/suid-abstraction at line 3: Invalid capability setuid.

** Affects: apparmor (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: dep8

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1887577

Title:
  DEP8: Invalid capability setuid

Status in apparmor package in Ubuntu:
  New

Bug description:
  
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac
  /autopkgtest-
  groovy/groovy/amd64/a/apparmor/20200713_202347_dd214@/log.gz

  Excuses is showing apparmor failing dep8 tests when they are triggered
  by another package.

  last time apparmor was uploaded was on May 14th, and this is the
  package under test:

  https://launchpad.net/ubuntu/+source/apparmor/2.13.3-7ubuntu6

  
  The errors are like this:
  FAIL: test_profile_newer_rewrites_cache (__main__.AAParserAltCacheTests)
  --
  Traceback (most recent call last):
File "/tmp/tmp.40nJ4LqRYT/parser/tst/testlib.py", line 50, in 
new_unittest_func
  return unittest_func(self)
File "./caching.py", line 448, in test_profile_newer_rewrites_cache
  self._generate_cache_file()
File "./caching.py", line 257, in _generate_cache_file
  self.run_cmd_check(cmd)
File "/tmp/tmp.40nJ4LqRYT/parser/tst/testlib.py", line 73, in run_cmd_check
  self.assertEqual(rc, expected_rc, "Got return code %d, expected 
%d\nCommand run: %s\nOutput: %s" % (rc, expected_rc, (' '.join(command)), 
report))
  AssertionError: 1 != 0 : Got return code 1, expected 0
  Command run: ../apparmor_parser --config-file=./parser.conf --base 
/tmp/aa-caching-s3l9wndt --skip-kernel-load --cache-loc 
/tmp/aa-caching-s3l9wndt/cache --cache-loc 
/tmp/aa-caching-s3l9wndt/aa-alt-cachezi43qt78 -q --write-cache -r 
/tmp/aa-caching-s3l9wndt/sbin.pingy
  Output: AppArmor parser error for /tmp/aa-caching-s3l9wndt/sbin.pingy in 
/tmp/aa-caching-s3l9wndt/suid-abstraction at line 3: Invalid capability setuid.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1887577/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885755] Re: systemd 245.6-1ubuntu1 ADT test failure with linux-5.8 5.8.0-3.4

2020-07-14 Thread Seth Forshee
** Description changed:

+ == test-cap-list ===
+ Assertion 'capability_set_to_string_alloc(c, ) == 0' failed at 
src/test/test-cap-list.c:60, function test_capability_set_one(). Aborting.
+ FAIL: test-cap-list (code: 134)
+ 
+ This seems to be a result of new capabilities added in 5.8. systemd
+ builds an array to convert capability numbers to strings, and these new
+ capabilities are not in its array, so the test bombs out when trying to
+ look up the string for a capability it doesn't know about. Rebuilding
+ systemd using headers from Linux 5.8 should fix this issue.
+ 
+ 
  Testing failed on:
- amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/amd64/s/systemd/20200630_154532_b7979@/log.gz
- arm64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/arm64/s/systemd/20200630_155538_0c63d@/log.gz
- ppc64el: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/ppc64el/s/systemd/20200630_162720_b3e1b@/log.gz
- s390x: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/s390x/s/systemd/20200630_140417_c5bdb@/log.gz
+ amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/amd64/s/systemd/20200630_154532_b7979@/log.gz
+ arm64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/arm64/s/systemd/20200630_155538_0c63d@/log.gz
+ ppc64el: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/ppc64el/s/systemd/20200630_162720_b3e1b@/log.gz
+ s390x: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/s390x/s/systemd/20200630_140417_c5bdb@/log.gz

** Summary changed:

- systemd 245.6-1ubuntu1 ADT test failure with linux-5.8 5.8.0-3.4
+ test-cap-list fails with Linux 5.8 due to new capabilities

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885755

Title:
  test-cap-list fails with Linux 5.8 due to new capabilities

Status in systemd package in Ubuntu:
  New

Bug description:
  == test-cap-list ===
  Assertion 'capability_set_to_string_alloc(c, ) == 0' failed at 
src/test/test-cap-list.c:60, function test_capability_set_one(). Aborting.
  FAIL: test-cap-list (code: 134)

  This seems to be a result of new capabilities added in 5.8. systemd
  builds an array to convert capability numbers to strings, and these
  new capabilities are not in its array, so the test bombs out when
  trying to look up the string for a capability it doesn't know about.
  Rebuilding systemd using headers from Linux 5.8 should fix this issue.

  
  Testing failed on:
  amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/amd64/s/systemd/20200630_154532_b7979@/log.gz
  arm64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/arm64/s/systemd/20200630_155538_0c63d@/log.gz
  ppc64el: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/ppc64el/s/systemd/20200630_162720_b3e1b@/log.gz
  s390x: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/s390x/s/systemd/20200630_140417_c5bdb@/log.gz

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1885755/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884265] Re: [fips] ntpq segfaults when attempting to use MD5 from FIPS-openssl library.

2020-07-14 Thread Joy Latten
** Description changed:

  [Impact]
  In FIPS mode on Bionic MD5 is semi-disabled causing some applications to 
segfault.
  
  ntpq uses crypto hashes to authenticate its requests. By default it uses
  md5. However, when compiled with openssl it creates a lists of
  acceptable hashes from openssl that can be used.
+ 
+ This issue is only applicable in bionic when using fips-openssl.
  
  [Test Steps]
  Test case:
  sudo apt install ntp
  ntpq -p
  Segmentation fault (core dumped)
  
  What happens there is ntpq wants to iterate all available digests
  (list_digest_names in ntpq.c). It uses EVP_MD_do_all_sorted for this
  task.
  
  EVP_MD_do_all_sorted eventually runs openssl_add_all_digests_int in c_alld.c.
  For FIPS mode it adds:
  EVP_add_digest(EVP_md5());
  
  What happens later in ntpq is (list_md_fn function inside ntpq.c):
  ctx = EVP_MD_CTX_new();
  EVP_DigestInit(ctx, EVP_get_digestbyname(name));
  EVP_DigestFinal(ctx, digest, _len);
  
  First digest it gets is MD5, but while running EVP_DigestInit for it, it gets 
to this point (openssl/crypto/evp/digest.c EVP_DigestInit_ex):
  #ifdef OPENSSL_FIPS
  if (FIPS_mode()) {
  if (!(type->flags & EVP_MD_FLAG_FIPS)
  && !(ctx->flags & EVP_MD_CTX_FLAG_NON_FIPS_ALLOW)) {
  EVPerr(EVP_F_EVP_DIGESTINIT_EX, EVP_R_DISABLED_FOR_FIPS);
  return 0;
  }
  }
  #endif
  
  Due to type->flags for MD5 being 0 there's an error set 
(EVP_R_DISABLED_FOR_FIPS).
  After getting back to ntpq.c:
  ctx->engine and ctx->digest are not set (due to the mentioned error), hence
  
  inside EVP_DigestFinal_ex (openssl/crypto/evp/digest.c)
  OPENSSL_assert(ctx->digest->md_size <= EVP_MAX_MD_SIZE);
  causes a segfault (ctx->digest is NULL).
  
  So either MD5 shouldn't be added in FIPS mode or it should have the
  EVP_MD_FLAG_FIPS to be properly initialized.
  
  [Regression Potential]
  
  I don't think this should regress ntpq + openssl from the Ubuntu
  archive.
  
  Current archive ntpq + openssl behaviour:
- openssl includes all message digests and hands ntpq a sorted digest-list. 
+ openssl includes all message digests and hands ntpq a sorted digest-list.
  ntpq doesn't check return from EVP_Digest(Init|Final) and assumes all is well 
and sticks all digests into its list regardless if it is working or not.
  
- i.e.  
+ i.e.
  ntpq> help keytype
  function: set key type to use for authenticated requests, one of:
- MD4, MD5, RIPEMD160, SHA1, SHAKE128
+ MD4, MD5, RIPEMD160, SHA1, SHAKE128
  
  If somehow openssl library is corrupted and sends back erroneous
  results, its possible the authentication will just not ever work.
  
  Newly fixed archive ntpq + oenssl beahviour:
  openssl includes all message digests and hands ntpq a sorted digest-list.
  ntpq checks each one and includes each working digest. With a non-corrupted 
openssl, everything works fine and ntpq includes each into its list. Ends up 
with a list identical to the one above.
-  
- If somehow opensll library is corrupted and sends back erroneous results, 
ntpq will hopefully catch it by checking return code and include only those 
algos that appear to be working. Its possible authentication will work for ntpq.
+ 
+ If somehow opensll library is corrupted and sends back erroneous
+ results, ntpq will hopefully catch it by checking return code and
+ include only those algos that appear to be working. Its possible
+ authentication will work for ntpq.
  
  The difference will be seen in ntpq + fips-openssl. ntpq will check
  return, and for fips-not-approved algos, return will indicate an error.
  So these algos will be skipped and ntpq will not include into its digest
  list. Resulting in a much shorter list of only fips-approved algos.
  
  i.e.
  ntpq> help keytype
  function: set key type to use for authenticated requests, one of:
- SHA1, SHAKE128
+ SHA1, SHAKE128
  
- Since md5 is ntpq's default auth algo, this will need to be changed to one of 
the above algos in the config files. 
+ Since md5 is ntpq's default auth algo, this will need to be changed to one of 
the above algos in the config files.
  But I think it is somewhat understood that MD5 is bad in a FIPS environment.

** Description changed:

  [Impact]
  In FIPS mode on Bionic MD5 is semi-disabled causing some applications to 
segfault.
  
  ntpq uses crypto hashes to authenticate its requests. By default it uses
  md5. However, when compiled with openssl it creates a lists of
  acceptable hashes from openssl that can be used.
  
- This issue is only applicable in bionic when using fips-openssl.
+ This issue is only applicable in bionic and when using fips-openssl.
  
  [Test Steps]
  Test case:
  sudo apt install ntp
  ntpq -p
  Segmentation fault (core dumped)
  
  What happens there is ntpq wants to iterate all available digests
  (list_digest_names in ntpq.c). It uses EVP_MD_do_all_sorted for this
  task.
  
  EVP_MD_do_all_sorted eventually 

[Touch-packages] [Bug 1887574] [NEW] "The following additional packages will be installed" and "The following NEW packages will be installed"

2020-07-14 Thread teo1978
Public bug reported:

I did:

  $ sudo apt-get install cinnamon-desktop-environment

I attach the complete output below.

There are two blocks among others:

  The following additional packages will be installed:
  ()
  The following NEW packages will be installed:
  ()


The two lists massively overlap, though they are not exactly identical. 

The phrasing is ambiguous to start with: even if the two lists didn't
overlap at all, I would be quite confused by this message, because it's
not clear what the difference is supposed to be between "additional"
packages that are going to be installed and "NEW" packages that are
going to be installed. That alone is an issue.

But the fact that the two lists are almost (but not quite) identical,
makes me wonder whether something is wrong, like a duplicate source or
something. If that was the case, there should be a warning clarifying
it. If all is ok, then again, the phrasing is deficient.


$ sudo apt-get install cinnamon-desktop-environment 
Reading package lists... Done
Building dependency tree   
Reading state information... Done
The following packages were automatically installed and are no longer required:
  at gcc-9-base:i386 gir1.2-geocodeglib-1.0 gir1.2-mutter-2 
gnome-software-common libaio1 libargon2-0 libatk1.0-0:i386 
libavahi-common-data:i386 libavresample3
  libavutil-ffmpeg54 libavutil55 libbcprov-java libboost-date-time1.65.1 
libboost-filesystem1.65.1 libboost-iostreams1.65.1 libboost-locale1.65.1
  libboost-program-options1.67.0 libboost-python1.65.1 libboost-regex1.65.1 
libboost-signals1.65.1 libboost-system1.65.1 libboost-thread1.65.1 libbrlapi0.6 
libcamel-1.2-61
  libcdio17 libcommons-lang3-java libdatrie1:i386 libdns1104 libevent-2.1-6 
libevent-core-2.1-6 libffi6:i386 libfl2 libfluidsynth1 libfprint0 
libfribidi0:i386 libgcc-8-dev
  libgeos-3.6.2 libgeos-3.7.2 libgeotiff2 libgl1-mesa-glx:i386 libgmime-3.0-0 
libgnome-desktop-3-17 libgraphite2-3:i386 libharfbuzz0b:i386 libhunspell-1.6-0 
libidn11:i386
  libip6tc0 libiptc0 libisc-export169 libisc1100 libisc1105 libisccc161 
libjs-inherits libkeyutils1:i386 libkyotocabinet16v5 liblivemedia64 libllvm9 
liblouis14 liblouis17
  liblouisutdml8 liblwres161 libmagickcore-6.q16-3 libmicrodns0 libmng2:i386 
libmutter-2-0 libmypaint-1.3-0 libmysqlclient20 libnet1 libnfs12 libomp5 
libomp5-10
  libopencv-core3.2 libopencv-ml3.2 libopenjpeg5 libopenobex2 liborcus-0.13-0 
libpackagekit-glib2-16 libpango-1.0-0:i386 libpangox-1.0-0 libplacebo4 
libpostproc54
  libprocps6 libproj13 libpython3.7-minimal libqpdf21 libqscintilla2-qt5-l10n 
libqt5script5 libreoffice-avmedia-backend-gstreamer libreoffice-style-galaxy 
libruby2.5
  libshiboken1.2v5 libshiboken2-5.11 libspeexdsp1:i386 libssl1.0-dev 
libssl1.0.0:i386 libstdc++-7-dev libswresample-ffmpeg1 libtalloc2:i386 
libtevent0:i386 libthai0:i386
  libusbmuxd4 libuv1-dev libva1 libvpx3 libvpx5 libwireshark12 libwiretap9 
libwscodecs2 libwsutil10 libx265-146 libx265-79 libx86emu1 libxcb-dri2-0-dev 
libxcb-dri3-dev
  libxcb-glx0-dev libxcb-randr0-dev libxcb-sync-dev libxft2:i386 
libxshmfence-dev libxt6:i386 libxv1:i386 node-abbrev node-ansi-regex 
node-aproba node-aws4 node-builtins
  node-call-limit node-camelcase node-chownr node-color-name node-concat-map 
node-cookie-jar node-core-util-is node-decamelize node-delegates node-editor 
node-extsprintf
  node-fast-deep-equal node-har-schema node-has-flag node-has-symbol-support-x 
node-has-to-string-tag-x node-has-unicode node-hosted-git-info node-iferr 
node-invert-kv
  node-is-object node-is-plain-obj node-is-retry-allowed node-is-stream 
node-isstream node-json-schema node-json-stringify-safe node-jsonparse 
node-lcid node-lockfile
  node-mime node-nopt node-opener node-path-is-inside node-process-nextick-args 
node-promise-inflight node-pseudomap node-punycode node-qs node-qw
  node-require-main-filename node-retry node-safe-buffer node-semver 
node-semver-diff node-signal-exit node-slash node-slide node-sorted-object 
node-spdx-license-ids
  node-string-decoder node-strip-json-comments node-text-table 
node-tunnel-agent node-uid-number node-unpipe node-uuid 
node-validate-npm-package-name node-wrappy
  node-xtend pastebinit pax python-certifi python-constantly python-dateutil 
python-idna python-pyasn1 python-simplejson python3-asn1crypto python3-pycurl
  python3-zope.interface qtdeclarative5-qtquick2-plugin ruby2.5 ruby2.5-dev 
ruby2.5-doc unity-scope-devhelp unity-scope-manpages unity-scope-tomboy 
unity-scope-yelp
  x11proto-composite-dev
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  blueman cinnamon cinnamon-common cinnamon-control-center 
cinnamon-control-center-data cinnamon-control-center-goa cinnamon-core 
cinnamon-screensaver cinnamon-session
  cinnamon-session-common cinnamon-settings-daemon cjs desktop-base fig2dev 
five-or-more fonts-noto fonts-noto-cjk-extra fonts-noto-core fonts-noto-extra
  fonts-noto-ui-core fonts-noto-ui-extra 

[Touch-packages] [Bug 1884265] Re: [fips] ntpq segfaults when attempting to use MD5 from FIPS-openssl library.

2020-07-14 Thread Joy Latten
** Summary changed:

- [fips] Not fully initialized digest segfaulting some client applications
+ [fips] ntpq segfaults when attempting to use MD5 from FIPS-openssl library.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1884265

Title:
  [fips] ntpq segfaults when attempting to use MD5 from FIPS-openssl
  library.

Status in openssl package in Ubuntu:
  In Progress
Status in openssl source package in Bionic:
  Confirmed

Bug description:
  [Impact]
  In FIPS mode on Bionic MD5 is semi-disabled causing some applications to 
segfault.

  ntpq uses crypto hashes to authenticate its requests. By default it
  uses md5. However, when compiled with openssl it creates a lists of
  acceptable hashes from openssl that can be used.

  [Test Steps]
  Test case:
  sudo apt install ntp
  ntpq -p
  Segmentation fault (core dumped)

  What happens there is ntpq wants to iterate all available digests
  (list_digest_names in ntpq.c). It uses EVP_MD_do_all_sorted for this
  task.

  EVP_MD_do_all_sorted eventually runs openssl_add_all_digests_int in c_alld.c.
  For FIPS mode it adds:
  EVP_add_digest(EVP_md5());

  What happens later in ntpq is (list_md_fn function inside ntpq.c):
  ctx = EVP_MD_CTX_new();
  EVP_DigestInit(ctx, EVP_get_digestbyname(name));
  EVP_DigestFinal(ctx, digest, _len);

  First digest it gets is MD5, but while running EVP_DigestInit for it, it gets 
to this point (openssl/crypto/evp/digest.c EVP_DigestInit_ex):
  #ifdef OPENSSL_FIPS
  if (FIPS_mode()) {
  if (!(type->flags & EVP_MD_FLAG_FIPS)
  && !(ctx->flags & EVP_MD_CTX_FLAG_NON_FIPS_ALLOW)) {
  EVPerr(EVP_F_EVP_DIGESTINIT_EX, EVP_R_DISABLED_FOR_FIPS);
  return 0;
  }
  }
  #endif

  Due to type->flags for MD5 being 0 there's an error set 
(EVP_R_DISABLED_FOR_FIPS).
  After getting back to ntpq.c:
  ctx->engine and ctx->digest are not set (due to the mentioned error), hence

  inside EVP_DigestFinal_ex (openssl/crypto/evp/digest.c)
  OPENSSL_assert(ctx->digest->md_size <= EVP_MAX_MD_SIZE);
  causes a segfault (ctx->digest is NULL).

  So either MD5 shouldn't be added in FIPS mode or it should have the
  EVP_MD_FLAG_FIPS to be properly initialized.

  [Regression Potential]

  I don't think this should regress ntpq + openssl from the Ubuntu
  archive.

  Current archive ntpq + openssl behaviour:
  openssl includes all message digests and hands ntpq a sorted digest-list. 
  ntpq doesn't check return from EVP_Digest(Init|Final) and assumes all is well 
and sticks all digests into its list regardless if it is working or not.

  i.e.  
  ntpq> help keytype
  function: set key type to use for authenticated requests, one of:
  MD4, MD5, RIPEMD160, SHA1, SHAKE128

  If somehow openssl library is corrupted and sends back erroneous
  results, its possible the authentication will just not ever work.

  Newly fixed archive ntpq + oenssl beahviour:
  openssl includes all message digests and hands ntpq a sorted digest-list.
  ntpq checks each one and includes each working digest. With a non-corrupted 
openssl, everything works fine and ntpq includes each into its list. Ends up 
with a list identical to the one above.
   
  If somehow opensll library is corrupted and sends back erroneous results, 
ntpq will hopefully catch it by checking return code and include only those 
algos that appear to be working. Its possible authentication will work for ntpq.

  The difference will be seen in ntpq + fips-openssl. ntpq will check
  return, and for fips-not-approved algos, return will indicate an
  error. So these algos will be skipped and ntpq will not include into
  its digest list. Resulting in a much shorter list of only fips-
  approved algos.

  i.e.
  ntpq> help keytype
  function: set key type to use for authenticated requests, one of:
  SHA1, SHAKE128

  Since md5 is ntpq's default auth algo, this will need to be changed to one of 
the above algos in the config files. 
  But I think it is somewhat understood that MD5 is bad in a FIPS environment.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1884265/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884265] Re: [fips] Not fully initialized digest segfaulting some client applications

2020-07-14 Thread Steve Beattie
** Changed in: openssl (Ubuntu Bionic)
   Status: New => Confirmed

** Changed in: openssl (Ubuntu)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1884265

Title:
  [fips] ntpq segfaults when attempting to use MD5 from FIPS-openssl
  library.

Status in openssl package in Ubuntu:
  In Progress
Status in openssl source package in Bionic:
  Confirmed

Bug description:
  [Impact]
  In FIPS mode on Bionic MD5 is semi-disabled causing some applications to 
segfault.

  ntpq uses crypto hashes to authenticate its requests. By default it
  uses md5. However, when compiled with openssl it creates a lists of
  acceptable hashes from openssl that can be used.

  [Test Steps]
  Test case:
  sudo apt install ntp
  ntpq -p
  Segmentation fault (core dumped)

  What happens there is ntpq wants to iterate all available digests
  (list_digest_names in ntpq.c). It uses EVP_MD_do_all_sorted for this
  task.

  EVP_MD_do_all_sorted eventually runs openssl_add_all_digests_int in c_alld.c.
  For FIPS mode it adds:
  EVP_add_digest(EVP_md5());

  What happens later in ntpq is (list_md_fn function inside ntpq.c):
  ctx = EVP_MD_CTX_new();
  EVP_DigestInit(ctx, EVP_get_digestbyname(name));
  EVP_DigestFinal(ctx, digest, _len);

  First digest it gets is MD5, but while running EVP_DigestInit for it, it gets 
to this point (openssl/crypto/evp/digest.c EVP_DigestInit_ex):
  #ifdef OPENSSL_FIPS
  if (FIPS_mode()) {
  if (!(type->flags & EVP_MD_FLAG_FIPS)
  && !(ctx->flags & EVP_MD_CTX_FLAG_NON_FIPS_ALLOW)) {
  EVPerr(EVP_F_EVP_DIGESTINIT_EX, EVP_R_DISABLED_FOR_FIPS);
  return 0;
  }
  }
  #endif

  Due to type->flags for MD5 being 0 there's an error set 
(EVP_R_DISABLED_FOR_FIPS).
  After getting back to ntpq.c:
  ctx->engine and ctx->digest are not set (due to the mentioned error), hence

  inside EVP_DigestFinal_ex (openssl/crypto/evp/digest.c)
  OPENSSL_assert(ctx->digest->md_size <= EVP_MAX_MD_SIZE);
  causes a segfault (ctx->digest is NULL).

  So either MD5 shouldn't be added in FIPS mode or it should have the
  EVP_MD_FLAG_FIPS to be properly initialized.

  [Regression Potential]

  I don't think this should regress ntpq + openssl from the Ubuntu
  archive.

  Current archive ntpq + openssl behaviour:
  openssl includes all message digests and hands ntpq a sorted digest-list. 
  ntpq doesn't check return from EVP_Digest(Init|Final) and assumes all is well 
and sticks all digests into its list regardless if it is working or not.

  i.e.  
  ntpq> help keytype
  function: set key type to use for authenticated requests, one of:
  MD4, MD5, RIPEMD160, SHA1, SHAKE128

  If somehow openssl library is corrupted and sends back erroneous
  results, its possible the authentication will just not ever work.

  Newly fixed archive ntpq + oenssl beahviour:
  openssl includes all message digests and hands ntpq a sorted digest-list.
  ntpq checks each one and includes each working digest. With a non-corrupted 
openssl, everything works fine and ntpq includes each into its list. Ends up 
with a list identical to the one above.
   
  If somehow opensll library is corrupted and sends back erroneous results, 
ntpq will hopefully catch it by checking return code and include only those 
algos that appear to be working. Its possible authentication will work for ntpq.

  The difference will be seen in ntpq + fips-openssl. ntpq will check
  return, and for fips-not-approved algos, return will indicate an
  error. So these algos will be skipped and ntpq will not include into
  its digest list. Resulting in a much shorter list of only fips-
  approved algos.

  i.e.
  ntpq> help keytype
  function: set key type to use for authenticated requests, one of:
  SHA1, SHAKE128

  Since md5 is ntpq's default auth algo, this will need to be changed to one of 
the above algos in the config files. 
  But I think it is somewhat understood that MD5 is bad in a FIPS environment.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1884265/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-14 Thread Steve Beattie
** Changed in: nss (Ubuntu)
   Status: New => In Progress

** Changed in: nss (Ubuntu Bionic)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  In Progress
Status in nss source package in Bionic:
  In Progress

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861941] Re: bcache by-uuid links disappear after mounting bcache0

2020-07-14 Thread Francis Ginther
I've removed the linux projects from this bug at it's been determined to
not be a kernel issue (see comment 47 for a good summary).

** No longer affects: linux-signed (Ubuntu)

** No longer affects: linux (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1861941

Title:
  bcache by-uuid links disappear after mounting bcache0

Status in bcache-tools package in Ubuntu:
  Triaged
Status in systemd package in Ubuntu:
  Fix Released
Status in bcache-tools source package in Bionic:
  New
Status in linux source package in Bionic:
  New
Status in linux-signed source package in Bionic:
  New
Status in systemd source package in Bionic:
  New
Status in bcache-tools source package in Focal:
  Confirmed
Status in linux source package in Focal:
  Invalid
Status in linux-signed source package in Focal:
  Confirmed
Status in systemd source package in Focal:
  Confirmed
Status in bcache-tools source package in Groovy:
  Triaged
Status in linux source package in Groovy:
  Incomplete
Status in linux-signed source package in Groovy:
  Confirmed
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  1.
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04

  2. 
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04
  root@ubuntu:~# apt-cache policy linux-image-virtual 
  linux-image-virtual:
Installed: 5.4.0.12.15
Candidate: 5.4.0.12.15
Version table:
   *** 5.4.0.12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status
  root@ubuntu:~# apt-cache policy linux-image-5.4.0-12-generic 
  linux-image-5.4.0-12-generic:
Installed: 5.4.0-12.15
Candidate: 5.4.0-12.15
Version table:
   *** 5.4.0-12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  3. mount /dev/bcache0 && ls -al /dev/bcache/by-uuid/
  + ls -al /dev/bcache/by-uuid/
  total 0
  drwxr-xr-x 2 root root 60 Feb  4 23:31 .
  drwxr-xr-x 3 root root 60 Feb  4 23:31 ..
  lrwxrwxrwx 1 root root 13 Feb  4 23:31 abdfd1f6-44ce-4266-91db-24667b9ae51a 
-> ../../bcache0

  4.
  root@ubuntu:~# ls -al /dev/bcache/by-uuid
  ls: cannot access '/dev/bcache/by-uuid': No such file or directory

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: linux-image-5.4.0-12-generic 5.4.0-12.15
  ProcVersionSignature: Ubuntu 5.4.0-12.15-generic 5.4.8
  Uname: Linux 5.4.0-12-generic x86_64
  ApportVersion: 2.20.11-0ubuntu16
  Architecture: amd64
  Date: Tue Feb  4 23:31:52 2020
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=C.UTF-8
   SHELL=/bin/bash
  SourcePackage: linux-signed-5.4
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bcache-tools/+bug/1861941/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887572] [NEW] rsync blocked in -proposed due to configure.sh warning (dep8 test)

2020-07-14 Thread Sergio Durigan Junior
Public bug reported:

rsync 3.2.1-1ubuntu1 has been blocked in proposed due to a problem when
invoking configure.sh inside the debian/tests/upstream-tests script:

autopkgtest [18:04:18]:  summary
upstream-tests   FAIL stderr: configure.sh: WARNING: you should use 
--build, --host, --target
Exit request sent.

The problem is that configure.sh is being executed like this:

./configure.sh "$CROSS_COMPILE"

in this scenario, $CROSS_COMPILE is an empty variable, which means that
this will evaluate to:

./configure.sh ""

which will trigger the autotools warning above.  The easy solution here
is to just remove the quotes.

I'm working on this.

** Affects: rsync (Ubuntu)
 Importance: Undecided
 Assignee: Sergio Durigan Junior (sergiodj)
 Status: In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rsync in Ubuntu.
https://bugs.launchpad.net/bugs/1887572

Title:
  rsync blocked in -proposed due to configure.sh warning (dep8 test)

Status in rsync package in Ubuntu:
  In Progress

Bug description:
  rsync 3.2.1-1ubuntu1 has been blocked in proposed due to a problem
  when invoking configure.sh inside the debian/tests/upstream-tests
  script:

  autopkgtest [18:04:18]:  summary
  upstream-tests   FAIL stderr: configure.sh: WARNING: you should use 
--build, --host, --target
  Exit request sent.

  The problem is that configure.sh is being executed like this:

  ./configure.sh "$CROSS_COMPILE"

  in this scenario, $CROSS_COMPILE is an empty variable, which means
  that this will evaluate to:

  ./configure.sh ""

  which will trigger the autotools warning above.  The easy solution
  here is to just remove the quotes.

  I'm working on this.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rsync/+bug/1887572/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881659] Re: Dell Inspirion 5391: headphones work only if I manually switch source port every time and no different volume levels for speaker and headphones

2020-07-14 Thread tim474
Hui Wang, after I have updated pulseaudio from your ppa to
1:13.99.1-1ubuntu3.3++lp1882191, the problem started again. Input port
automatically switches to Headphones Stereo Mircophone, and no sound, if
I don't switch back manually.

** Package changed: alsa-driver (Ubuntu) => pulseaudio (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1881659

Title:
  Dell Inspirion 5391: headphones work only if I manually switch source
  port every time and no different volume levels for speaker and
  headphones

Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  I have a laptop Dell Inspirion 5391 that was shipped with Ubuntu
  18.04, and it doesn't have such problems. But I have manually
  installed Xubuntu 20.04 LTS (firstly because I need full disk
  encryption with LUKS). And I have two problems the with sound system:

  1) If I plug headphones, there is no sound. Sound becomes only if I
  manually switch source port to "Headset Mono microphone" from
  "Headphones stereo microphone" in pavucontrol or with the command:

  pacmd set-source-port 4  "[In] Headset"

  or with ALSA:

  amixer set 'Input Source' 'Headset Mic'

  I have a workaround with /etc/acpi/events, but it is not seamless (I
  have an one second delay when I plug the headphones).

  2) There is no separate volume levels for speaker and headphone in
  pulseaudio.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.2
  ProcVersionSignature: Ubuntu 5.4.0-33.37-generic 5.4.34
  Uname: Linux 5.4.0-33-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  tenikeev   3385 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: XFCE
  Date: Mon Jun  1 23:13:38 2020
  InstallationDate: Installed on 2020-05-28 (4 days ago)
  InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/21/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 07DM2C
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.3.0:bd11/21/2019:svnDellInc.:pnInspiron5391:pvr:rvnDellInc.:rn07DM2C:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 5391
  dmi.product.sku: 096E
  dmi.sys.vendor: Dell Inc.
  modified.conffile..etc.pulse.default.pa: [modified]
  mtime.conffile..etc.pulse.default.pa: 2020-05-31T22:56:28.472784

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1881659/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885496] Re: Intel Wireless 8260 [8086:24f3] Subsystem [8086:9010] Bluetooth is disabled in gui, but audio reciever's action button still controls Ubuntu

2020-07-14 Thread Marc Deslauriers
Ok, actually the slider is in fact to disable bluetooth completely,
please ignore my previous comment.

** Changed in: bluez (Ubuntu)
   Status: Incomplete => Confirmed

** Changed in: linux (Ubuntu)
   Status: Incomplete => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1885496

Title:
  Intel Wireless 8260 [8086:24f3] Subsystem [8086:9010] Bluetooth is
  disabled in gui, but audio reciever's action button still controls
  Ubuntu

Status in bluez package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Current behavior:
  In gnome-control-center I see the Bluetooth slider is set to Off and the 
status shows "Bluetooth Turned Off".

  My Bluetooth audio receiver which had previously been paired can still
  control VLC, or any other compatible media player with a Pause/Play
  button.  If no compatible app is running then an error icon
  appears.[0]

  Expected behavior: when gnome-control-center Bluetooth shows Disabled,
  then no bluetooth device should be able to communicate with the
  computer.

  Security: This is way out of my wheelhouse, but if this goes beyond my
  use case, could this have security implications?  Just the fact that
  the bluetooth subsystem is functional when the UI says it is not,
  seems like a bad sign, correct?

  EDIT:  as a next step, when I enabled Bluetooth in gnome-control-
  center I see the device's status as "Disconnected" and the device does
  not appear as a possible sound output device in Sound settings. In
  this Bluetooth enabled state, the pause/play button still works.  When
  I disable all Bluetooth, the pause/play button still works.

  EDIT2:
  I'm not sure what the gnome-control-center Bluetooth On/Off slider is 
supposed to do, but while gnome-control-center Bluetooth shows disabled the 
service is still running.

  $ service bluetooth status

   bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor 
preset: enabled)
   Active: active (running) since Fri 2020-06-26 10:09:48 PDT; 2 days ago
     Docs: man:bluetoothd(8)
     Main PID: 935 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 38343)
   Memory: 3.0M
   CGroup: /system.slice/bluetooth.service
   └─935 /usr/lib/bluetooth/bluetoothd

  Jun 26 10:09:48 nyuk bluetoothd[935]: Bluetooth daemon 5.53
  Jun 26 10:09:48 nyuk systemd[1]: Started Bluetooth service.
  Jun 26 10:09:48 nyuk bluetoothd[935]: Starting SDP server
  Jun 26 10:09:48 nyuk bluetoothd[935]: Bluetooth management interface 1.14 
initialized
  Jun 26 10:12:17 nyuk bluetoothd[935]: Endpoint registered: sender=:1.94 
path=/MediaEndpoint/A2DPSink/sbc
  Jun 26 10:12:17 nyuk bluetoothd[935]: Endpoint registered: sender=:1.94 
path=/MediaEndpoint/A2DPSource/sbc
  Jun 26 20:55:06 nyuk bluetoothd[935]: 
/org/bluez/hci0/dev_0B_26_75_03_C0_80/sep1/fd0: fd(37) ready
  Jun 26 20:56:12 nyuk bluetoothd[935]: 
/org/bluez/hci0/dev_0B_26_75_03_C0_80/sep1/fd1: fd(37) ready
  Jun 26 21:23:45 nyuk bluetoothd[935]: Failed to set mode: Blocked through 
rfkill (0x12)
  Jun 28 20:58:41 nyuk bluetoothd[935]: Failed to set mode: Blocked through 
rfkill (0x12)

  [0] https://i.imgur.com/e2nM7hA.png

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: bluez 5.53-0ubuntu3
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Jun 28 21:11:45 2020
  InstallationDate: Installed on 2020-06-17 (11 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  InterestingModules: rfcomm bnep btusb bluetooth
  Lsusb:
   Bus 002 Device 003: ID 090c:1000 Silicon Motion, Inc. - Taiwan (formerly 
Feiya Technology Corp.) Flash Drive
   Bus 002 Device 002: ID 152d:0567 JMicron Technology Corp. / JMicron USA 
Technology Corp. JMS567 SATA 6Gb/s bridge
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 002: ID 8087:0a2b Intel Corp.
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  ProcEnviron:
   PATH=(custom, no username)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-39-generic 
root=UUID=7d791ec0-a9ea-415e-b7ec-6260b85b55f7 ro quiet splash vt.handoff=7
  SourcePackage: bluez
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/27/2016
  dmi.bios.vendor: Intel Corp.
  dmi.bios.version: SYSKLi35.86A.0045.2016.0527.1055
  dmi.board.asset.tag: �=\�
  dmi.board.name: NUC6i5SYB
  dmi.board.vendor: Intel corporation
  dmi.board.version: H81131-504
  dmi.chassis.type: 3
  dmi.modalias: 

[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-14 Thread Marcelo Pires
After applying the latest update to Firefox and pulseaudio, the sound is
working normally for now! Thank you.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
index : 

[Touch-packages] [Bug 1885496] Re: Intel Wireless 8260 [8086:24f3] Subsystem [8086:9010] Bluetooth is disabled in gui, but audio reciever's action button still controls Ubuntu

2020-07-14 Thread Marc Deslauriers
Hi,

Could you please attach a screenshot of the slider you are referring to?
I believe you are confusing the slider's purpose. The slider is to make your 
bluetooth computer visible to be able to pair new devices, it does not 
disconnect existing devices.

** Changed in: linux (Ubuntu)
   Status: Confirmed => Incomplete

** Changed in: bluez (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1885496

Title:
  Intel Wireless 8260 [8086:24f3] Subsystem [8086:9010] Bluetooth is
  disabled in gui, but audio reciever's action button still controls
  Ubuntu

Status in bluez package in Ubuntu:
  Incomplete
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  Current behavior:
  In gnome-control-center I see the Bluetooth slider is set to Off and the 
status shows "Bluetooth Turned Off".

  My Bluetooth audio receiver which had previously been paired can still
  control VLC, or any other compatible media player with a Pause/Play
  button.  If no compatible app is running then an error icon
  appears.[0]

  Expected behavior: when gnome-control-center Bluetooth shows Disabled,
  then no bluetooth device should be able to communicate with the
  computer.

  Security: This is way out of my wheelhouse, but if this goes beyond my
  use case, could this have security implications?  Just the fact that
  the bluetooth subsystem is functional when the UI says it is not,
  seems like a bad sign, correct?

  EDIT:  as a next step, when I enabled Bluetooth in gnome-control-
  center I see the device's status as "Disconnected" and the device does
  not appear as a possible sound output device in Sound settings. In
  this Bluetooth enabled state, the pause/play button still works.  When
  I disable all Bluetooth, the pause/play button still works.

  EDIT2:
  I'm not sure what the gnome-control-center Bluetooth On/Off slider is 
supposed to do, but while gnome-control-center Bluetooth shows disabled the 
service is still running.

  $ service bluetooth status

   bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor 
preset: enabled)
   Active: active (running) since Fri 2020-06-26 10:09:48 PDT; 2 days ago
     Docs: man:bluetoothd(8)
     Main PID: 935 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 38343)
   Memory: 3.0M
   CGroup: /system.slice/bluetooth.service
   └─935 /usr/lib/bluetooth/bluetoothd

  Jun 26 10:09:48 nyuk bluetoothd[935]: Bluetooth daemon 5.53
  Jun 26 10:09:48 nyuk systemd[1]: Started Bluetooth service.
  Jun 26 10:09:48 nyuk bluetoothd[935]: Starting SDP server
  Jun 26 10:09:48 nyuk bluetoothd[935]: Bluetooth management interface 1.14 
initialized
  Jun 26 10:12:17 nyuk bluetoothd[935]: Endpoint registered: sender=:1.94 
path=/MediaEndpoint/A2DPSink/sbc
  Jun 26 10:12:17 nyuk bluetoothd[935]: Endpoint registered: sender=:1.94 
path=/MediaEndpoint/A2DPSource/sbc
  Jun 26 20:55:06 nyuk bluetoothd[935]: 
/org/bluez/hci0/dev_0B_26_75_03_C0_80/sep1/fd0: fd(37) ready
  Jun 26 20:56:12 nyuk bluetoothd[935]: 
/org/bluez/hci0/dev_0B_26_75_03_C0_80/sep1/fd1: fd(37) ready
  Jun 26 21:23:45 nyuk bluetoothd[935]: Failed to set mode: Blocked through 
rfkill (0x12)
  Jun 28 20:58:41 nyuk bluetoothd[935]: Failed to set mode: Blocked through 
rfkill (0x12)

  [0] https://i.imgur.com/e2nM7hA.png

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: bluez 5.53-0ubuntu3
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Jun 28 21:11:45 2020
  InstallationDate: Installed on 2020-06-17 (11 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  InterestingModules: rfcomm bnep btusb bluetooth
  Lsusb:
   Bus 002 Device 003: ID 090c:1000 Silicon Motion, Inc. - Taiwan (formerly 
Feiya Technology Corp.) Flash Drive
   Bus 002 Device 002: ID 152d:0567 JMicron Technology Corp. / JMicron USA 
Technology Corp. JMS567 SATA 6Gb/s bridge
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 002: ID 8087:0a2b Intel Corp.
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  ProcEnviron:
   PATH=(custom, no username)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-39-generic 
root=UUID=7d791ec0-a9ea-415e-b7ec-6260b85b55f7 ro quiet splash vt.handoff=7
  SourcePackage: bluez
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/27/2016
  dmi.bios.vendor: Intel Corp.
  dmi.bios.version: SYSKLi35.86A.0045.2016.0527.1055
  dmi.board.asset.tag: �=\�
  dmi.board.name: NUC6i5SYB
  dmi.board.vendor: Intel 

[Touch-packages] [Bug 896836] Re: Segmentation fault when asking help() for the list of modules

2020-07-14 Thread Marc Deslauriers
** Information type changed from Public Security to Public

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python2.7 in Ubuntu.
https://bugs.launchpad.net/bugs/896836

Title:
  Segmentation fault when asking help() for the list of modules

Status in PyGTK:
  New
Status in Python:
  New
Status in pygtk package in Ubuntu:
  Triaged
Status in python2.7 package in Ubuntu:
  Triaged
Status in python3.6 package in Ubuntu:
  New

Bug description:
  Using Python 2.7.2 on Oneiric (package version is 2.7.2-7ubuntu2), I'm
  getting a consistent segmentation fault when I open the interactive
  help in a Python shell (i.e. typing "help()" in the shell) and then
  ask for the list of modules (by typing "modules").

  The error code returned is as follows:
  Please wait a moment while I gather a list of all available modules...

  /usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: 
g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
import gobject._gobject
  /usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:40: Warning: 
g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
from gtk import _gtk

  ** (python:5116): CRITICAL **: pyg_register_boxed: assertion `boxed_type != 
0' failed
  /usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot 
register existing type `GdkDevice'
from gtk import _gtk
  /usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:40: Warning: 
g_type_get_qdata: assertion `node != NULL' failed
from gtk import _gtk
  Segmentation fault

To manage notifications about this bug go to:
https://bugs.launchpad.net/pygtk/+bug/896836/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1594695] Re: apparmor service not started on fresh install

2020-07-14 Thread Marc Deslauriers
Are you still able to reproduce this issue with later versions of
Ubuntu?

** Changed in: apparmor (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1594695

Title:
  apparmor service not started on fresh install

Status in apparmor package in Ubuntu:
  Incomplete

Bug description:
  On fresh install of LXC, apparmor service (a dependency) is not
  started. In that case, it causes LXC guest startup to fail. apparmor
  postinstall seems only to configure the service but does not start it:

  if [ "$1" = "configure" ] || [ "$1" = "abort-upgrade" ]; then
  if [ -x "/etc/init.d/apparmor" ]; then
  update-rc.d apparmor start 37 S . >/dev/null || true
  fi
  fi

  To me it is not clear, if this is just an apparmor/lxc combination
  issue or may affect apparmor installs in general: in later case,
  machines might be unprotected till the first reboot (which might be
  quite some time on servers when there are no upstream security fixes
  requiring reboot).

  # lsb_release -rd
  Description:Ubuntu 16.04 LTS
  Release:16.04

  # apt-cache policy apparmor
  apparmor:
Installed: 2.10.95-0ubuntu2
Candidate: 2.10.95-0ubuntu2
Version table:
   *** 2.10.95-0ubuntu2 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1594695/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1404084] Re: Fix for CVE-2013-6045 breaks decoding of chroma-subsampled images

2020-07-14 Thread Marc Deslauriers
** Changed in: openjpeg (Ubuntu)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openjpeg in Ubuntu.
https://bugs.launchpad.net/bugs/1404084

Title:
  Fix for CVE-2013-6045 breaks decoding of chroma-subsampled images

Status in openjpeg package in Ubuntu:
  Won't Fix
Status in openjpeg package in Debian:
  Fix Released

Bug description:
  The patch for CVE-2013-6045, as shipped in Ubuntu 10.04, 12.04, and 14.04, 
disables decoding of images whose first 
  color component has a higher resolution than subsequent components.  This 
occurs, for example, in YCbCr images with chroma subsampling.  This regression 
does not affect newer Ubuntu releases which ship OpenJPEG 1.5.2 or above.

  The original Debian bug report is .
  Debian released an updated DSA on April 22 to correct the regression
  (https://lists.debian.org/debian-security-
  announce/2014/msg00090.html), but the fix has not propagated to
  Ubuntu.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openjpeg/+bug/1404084/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1452115] Re: Python interpreter binary is not compiled as PIE

2020-07-14 Thread Steve Beattie
** Changed in: python3.7 (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python2.7 in Ubuntu.
https://bugs.launchpad.net/bugs/1452115

Title:
  Python interpreter binary is not compiled as PIE

Status in Python:
  New
Status in python2.7 package in Ubuntu:
  Fix Released
Status in python3.4 package in Ubuntu:
  Fix Released
Status in python3.6 package in Ubuntu:
  Confirmed
Status in python3.7 package in Ubuntu:
  Confirmed
Status in python3.8 package in Ubuntu:
  Confirmed
Status in python3.8 package in Debian:
  New

Bug description:
  The python2.7 binary (installed at /usr/bin/python2.7; package version
  2.7.6-8) is not compiled as a position independent executable (PIE).
  It appears that the python compilation process is somewhat arcane and
  the hardening wrapper probably doesn't do the trick for it.

  This is incredibly dangerous as it means that any vulnerability within
  a native module (e.g. ctypes-based), or within python itself will
  expose an incredibly large amount of known memory contents at known
  addresses (including a large number of dangerous instruction
  groupings). This enables ROP-based (https://en.wikipedia.org/wiki
  /Return-oriented_programming) to abuse the interpreter itself to
  bypass non-executable page protections.

  I have put together an example vulnerable C shared object (with a buffer 
overflow) accessed via python through the ctypes interface as an example. This 
uses a single ROP "gadget" on top of using the known PLT location for system(3) 
(https://en.wikipedia.org/wiki/Return-to-libc_attack) to call "id". The example 
code is accessible at:
  - https://gist.github.com/ChaosData/ae6076cb1c3cc7b0a367

  I'm not exactly familiar enough with the python build process to say
  where exactly an -fPIE needs to be injected into a script/makefile,
  but I feel that given the perceived general preference for ctypes-
  based modules over python written ones, as the native code
  implementations tend to be more performant, this feels like a large
  security hole within the system. Given the nature of this "issue," I'm
  not 100% sure of where it is best reported, but from what I can tell,
  this conflicts with the Ubuntu hardening features and is definitely
  exploitable should a native module contain a sufficiently exploitable
  vulnerability that allows for control of the instruction register.

To manage notifications about this bug go to:
https://bugs.launchpad.net/python/+bug/1452115/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1570788] Re: Makes mDNS ddos amplification attack possible

2020-07-14 Thread Marc Deslauriers
I think this was CVE-2017-6519, which was fixed a long time ago.

I am closing this bug, please feel free to open a new bug if you can
reproduce with a more recent version of Ubuntu. Thanks!

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2017-6519

** Changed in: avahi (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to avahi in Ubuntu.
https://bugs.launchpad.net/bugs/1570788

Title:
  Makes mDNS ddos amplification attack possible

Status in avahi package in Ubuntu:
  Fix Released

Bug description:
  Apparently mDNS can be used for ddos amplification, see for instance 
https://mdns.shadowserver.org/ and https://www.us-cert.gov/ncas/alerts/TA14-017A
   
  Steps to reproduce:

  dig @rusk.hpc2n.umu.se -p 5353 -t ptr _services._dns-sd._udp.local

  The response is supposedly 2-10 times the size of the query, making
  for a moderate but noticeable amplification.

  Workarounds are easy, but not responding outside localnet by default
  is probably reasonable for mDNS.

  Reproduced at at least trusty and precise, would be very surprised if
  it didn't also apply to xenial but I left my xenial laptop at home
  today. :)

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: avahi-daemon 0.6.30-5ubuntu2.1
  ProcVersionSignature: Ubuntu 3.13.0-83.127~precise1-generic 3.13.11-ckt35
  Uname: Linux 3.13.0-83-generic x86_64
  NonfreeKernelModules: openafs
  ApportVersion: 2.0.1-0ubuntu17.13
  Architecture: amd64
  Date: Fri Apr 15 12:12:22 2016
  MarkForUpload: True
  ProcEnviron:
   LANGUAGE=en_US:en
   TERM=xterm
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: avahi
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/avahi/+bug/1570788/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1513964] Re: dsextras.py : Shell Command Injection with a pkg name

2020-07-14 Thread Marc Deslauriers
** Changed in: pygobject-2 (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pygobject-2 in Ubuntu.
https://bugs.launchpad.net/bugs/1513964

Title:
  dsextras.py :  Shell Command Injection with a pkg name

Status in pygobject-2 package in Ubuntu:
  Confirmed

Bug description:
  Expoit screenshot attached.

  The "dsextras.py" script  is vulnerable in multiple functions for code
  injections in the "name" of a pkg.

  The script uses old and depreached python functions wich are a
  security risk :

  commands.getstatusoutput()
  os.system()
  os.popen()

  Please use the subprocess module instead !

  
  Expoit Example wich runs a xmessage command
  ==

  theregrunner@1510:~$ cd /usr/lib/python2.7/dist-packages/gtk-2.0/
  theregrunner@1510:/usr/lib/python2.7/dist-packages/gtk-2.0$ python
  Python 2.7.10 (default, Oct 14 2015, 16:09:02) 
  [GCC 5.2.1 20151010] on linux2
  Type "help", "copyright", "credits" or "license" for more information.
  >>> import dsextras
  >>> dsextras.pkgc_get_version('fontutil;xmessage "hello bug"')
  '1.3.1'
   
  ===

  This Bug also effects the "so" files in the gtk-2.0 folder :
  atk.so
  gtkunixprint.so
  pangocairo.so
  pango.so

  ProblemType: Bug
  DistroRelease: Ubuntu 15.10
  Package: python-gobject-2 2.28.6-12build1
  ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
  Uname: Linux 4.2.0-16-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.19.1-0ubuntu4
  Architecture: amd64
  Date: Fri Nov  6 21:36:38 2015
  InstallationDate: Installed on 2015-10-22 (15 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  SourcePackage: pygobject-2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pygobject-2/+bug/1513964/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1617620] Re: Autorun files from Removable Media

2020-07-14 Thread Marc Deslauriers
** Changed in: gsettings-desktop-schemas (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gsettings-desktop-schemas
in Ubuntu.
https://bugs.launchpad.net/bugs/1617620

Title:
  Autorun files from Removable Media

Status in gsettings-desktop-schemas package in Ubuntu:
  Confirmed
Status in unity-control-center package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu 16 is still automatically executing software that resides in an
  external resource (removable media), such as USB or CD.

  I don't need to tell you how bad this is..

  ---

  You can see the default value that allows to autoplay / autorun files
  by doing the following steps:

  1. In Ubuntu 16.04, go to Settings -> Details.
  2. In the left pane choose "Removable Media".
  3. On the right pane you'll see "Software", while the value in the drop-down 
menu is "Run Software".

  ---

  A fix suggestion:
  Instead of "Run Software", the default value should be "Do nothing".

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gsettings-desktop-schemas/+bug/1617620/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-14 Thread Marcelo Pires
Hello!!!

I installed the kernel above. I restarted the system and put some media
to play via, Spotify, Totem. They worked normal.

But when I started some media on YouTube through Firefox, the sound
disappeared again.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 

[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-14 Thread Marcelo Pires
Hello!!!

I installed the kernel above. I restarted the system and put some media
to play via, Spotify, Totem. They will work normal.

But when I started some media on YouTube through Firefox, the sound
disappeared again.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 

[Touch-packages] [Bug 1864982] Re: Ubuntu desktop computer doesn't seem to lock correctly

2020-07-14 Thread Marc Deslauriers
** Changed in: lightdm (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1864982

Title:
  Ubuntu desktop computer doesn't seem to lock correctly

Status in lightdm package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu desktop computer doesn't seem to lock correctly if I click "Lock 
Screen" it does lock if I use shortcut. If I use the "lock screen" button then 
anyone can unlock it by merely pressing "ctrl+alt+f7".
  The problem is not that I cannot lock my screen, the problem is I was under 
the impression that my computer was being locked when it was not.
  now that I know that the "Lock Screen" button doesn't work correctly I know 
of other ways to lock my computer still the lock screen button should work and 
it looks like it locked my screen,but if I press "ctrl+alt+f7" then it 
magically unlocks

  So it is a security incident.

  Thanks in Advance.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1864982/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864215] Re: Please add webp loader to gdk-pixbuf

2020-07-14 Thread Mantas Kriaučiūnas
** Also affects: gdk-pixbuf (Baltix)
   Importance: Undecided
   Status: New

** Changed in: gdk-pixbuf (Baltix)
Milestone: None => baltix-18.04

** Changed in: gdk-pixbuf (Baltix)
   Importance: Undecided => Low

** Changed in: gdk-pixbuf (Baltix)
   Status: New => Triaged

** Bug watch added: gitlab.gnome.org/GNOME/gdk-pixbuf/-/issues #103
   https://gitlab.gnome.org/GNOME/gdk-pixbuf/-/issues/103

** Also affects: gdk-pixbuf via
   https://gitlab.gnome.org/GNOME/gdk-pixbuf/-/issues/103
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdk-pixbuf in Ubuntu.
https://bugs.launchpad.net/bugs/1864215

Title:
  Please add webp loader to gdk-pixbuf

Status in gdk-pixbuf:
  Unknown
Status in gdk-pixbuf package in Ubuntu:
  Confirmed
Status in gdk-pixbuf package in Baltix:
  Triaged

Bug description:
  Attempting to load a webp image -- for instance, 

https://images.theweek.com/sites/default/files/styles/tw_image_9_4/public/FKK78W.jpg.webp
  or

https://cdn.vox-cdn.com/thumbor/2YtWB5zH7sPycyc0FYv3JSB6SFw=/60x0:1140x720/920x613/filters:focal(60x0:1140x720):format(webp)/cdn.vox-cdn.com/uploads/chorus_image/image/49663815/timburton.0.0.jpg
  -- in a gdk-pixbuf app results in a "Couldn’t recognize the image file 
format" error.

  Bug 1318327 covers this issue in eye of gnome, and bug 1407644 in
  libwebp, but isn't this really a gdk-pixbuf issue? If it really does
  belong to libwebp, my apologies, please dup this bug to 1407644 (I'm
  confident it doesn't belong to eog since I don't use that program; I
  have other programs that use libgdk-pixbuf).

  You can probably use eog to test this, or run
  /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders | grep -i 
webp
  (I assume the loader would mention webp if there was a loader for it).

  I have these packages installed in addition to libgdk-pixbuf2.0-0:
  libwebp-dev libwebp6 libwebpdemux2 libwebpmux3 webp. file recognizes
  the format:

  $ file /tmp/FKK78W.jpg.webp
  /tmp/FKK78W.jpg.webp: RIFF (little-endian) data, Web/P image, VP8 encoding, 
1200x533, Scaling: [none]x[none], YUV color, decoders should clamp

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: libgdk-pixbuf2.0-0 2.40.0+dfsg-1build1
  ProcVersionSignature: Ubuntu 5.3.0-40.32-generic 5.3.18
  Uname: Linux 5.3.0-40-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu8.4
  Architecture: amd64
  Date: Fri Feb 21 08:48:36 2020
  InstallationDate: Installed on 2019-10-10 (133 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Beta amd64 (20190926.1)
  SourcePackage: gdk-pixbuf
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdk-pixbuf/+bug/1864215/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1615381] Re: apt-get autoremove may remove current kernel

2020-07-14 Thread Julian Andres Klode
I have code to fix that just need to merge it and like update tests

** Changed in: apt (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1615381

Title:
  apt-get autoremove may remove current kernel

Status in apt package in Ubuntu:
  In Progress
Status in unattended-upgrades package in Ubuntu:
  Fix Released
Status in unattended-upgrades source package in Trusty:
  Won't Fix
Status in unattended-upgrades source package in Xenial:
  Fix Released
Status in unattended-upgrades source package in Artful:
  Won't Fix

Bug description:
  This may happen, if you boot one of the older kernels, that is not
  protected by /etc/apt/apt.conf.d/01autoremove-kernels

  Workaround: run
  /etc/kernel/postinst.d/apt-auto-removal
  during each boot (e.g. by using cron).
  Note: The workaround breaks autoremoving feature of new unneeded kernels in  
unattended-upgrades i.e. the setting 
'Unattended-Upgrade::Remove-New-Unused-Dependencies "true"' (which is default 
in 16.04 unless 'Unattended-Upgrade::Remove-Unused-Dependencies "true"' is set 
in '/etc/apt/apt.conf.d/50unattended-upgrades'.

  
  In shell:

  $ uname -r
  4.4.0-22-generic
  $ apt-get -s autoremove
  NOTE: This is only a simulation!
    apt-get needs root privileges for real execution.
    Keep also in mind that locking is deactivated,
    so don't depend on the relevance to the real current situation!
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  The following packages will be REMOVED:
    linux-headers-4.4.0-21 linux-headers-4.4.0-21-generic linux-headers-4.4.0-22
    linux-headers-4.4.0-22-generic linux-headers-4.4.0-31-generic
    linux-image-4.4.0-21-generic linux-image-4.4.0-22-generic
    linux-image-4.4.0-31-generic linux-image-extra-4.4.0-21-generic
    linux-image-extra-4.4.0-22-generic linux-image-extra-4.4.0-31-generic
  0 upgraded, 0 newly installed, 11 to remove and 13 not upgraded.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apt 1.2.12~ubuntu16.04.1
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Sun Aug 21 16:11:27 2016
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2016-04-28 (114 days ago)
  InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: apt
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.kernel.postinst.d.apt-auto-removal: [modified]
  mtime.conffile..etc.kernel.postinst.d.apt-auto-removal: 
2016-07-30T12:15:32.706300

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1615381/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864307] Re: Many apps have no icon in Software on Focal

2020-07-14 Thread AsciiWolf
(Verification was already done so it will hopefully be soon in focal-
updates repo.)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1864307

Title:
  Many apps have no icon in Software on Focal

Status in GNOME Software:
  Unknown
Status in snap-store-desktop:
  Fix Released
Status in gnome-software package in Ubuntu:
  Triaged
Status in ubuntu-meta package in Ubuntu:
  Fix Released
Status in gnome-software source package in Focal:
  Triaged
Status in ubuntu-meta source package in Focal:
  Fix Released

Bug description:
  Many applications have no icon displayed in GNOME Software 3.35.91 on
  latest Ubuntu Focal. See the attached screenshot.

  
  [Impact] 

   * Some apt packages do not include an icon in snap-store

  [Test Case]

   * Open snap-store, search for GCompris and confirm there is an
  appropriate icon

  [Regression Potential]

   * Very low.  Previous Ubuntu releases including apt-config-icons
  based on the depends in gnome-software.  This just adds an apt config
  that can be used to fetch icons for apt packages via apt.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-software/+bug/1864307/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864307] Re: Many apps have no icon in Software on Focal

2020-07-14 Thread AsciiWolf
Fix for non-Snap gnome-software in Ubuntu Focal is a part of this SRU
that is currently in focal-proposed repo:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1881918

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1864307

Title:
  Many apps have no icon in Software on Focal

Status in GNOME Software:
  Unknown
Status in snap-store-desktop:
  Fix Released
Status in gnome-software package in Ubuntu:
  Triaged
Status in ubuntu-meta package in Ubuntu:
  Fix Released
Status in gnome-software source package in Focal:
  Triaged
Status in ubuntu-meta source package in Focal:
  Fix Released

Bug description:
  Many applications have no icon displayed in GNOME Software 3.35.91 on
  latest Ubuntu Focal. See the attached screenshot.

  
  [Impact] 

   * Some apt packages do not include an icon in snap-store

  [Test Case]

   * Open snap-store, search for GCompris and confirm there is an
  appropriate icon

  [Regression Potential]

   * Very low.  Previous Ubuntu releases including apt-config-icons
  based on the depends in gnome-software.  This just adds an apt config
  that can be used to fetch icons for apt packages via apt.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-software/+bug/1864307/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-14 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.6-2ubuntu1

---
systemd (245.6-2ubuntu1) groovy; urgency=medium

  * Merge to Ubuntu from Debian unstable
- Dropped changes:
  * dhclient-exit-hooks.d/timesyncd: Act only when systemd-timesyncd is 
enabled
  * hwdb: Mask rfkill event from intel-hid on HP platforms (LP: #1883846)
File: 
debian/patches/hwdb-Mask-rfkill-event-from-intel-hid-on-HP-platforms.patch

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c705323d61b9cd4e36ceb92e236cd6e9ba4c1b1a
  * debian/tests/tests-in-lxd: Show debugging info about reason of skipping test
File: debian/tests/tests-in-lxd

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1c835ca2d4f6d09977525d781d224a87ba7cde24
  * debian/tests/tests-in-lxd: Drop workaround removing fstab from the container
(LP: #1886430)
File: debian/tests/tests-in-lxd

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f13213af98fa4c27c5f7e58c511b9691bb56065a

 -- Balint Reczey   Mon, 06 Jul 2020 16:30:25 +0200

** Changed in: systemd (Ubuntu Groovy)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  New
Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

  any regression would likely result in missed rfkill events.

  [scope]

  this is fixed upstream by commit
  d8a9dd0dc17df77229d079afe29c05ae4a9e2ae9 which is not included in any
  version yet, so this is needed for f and g.

  @kaihengfeng is this needed on b and/or x as well?

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861177] Re: seccomp_rule_add is very slow

2020-07-14 Thread Launchpad Bug Tracker
This bug was fixed in the package libseccomp - 2.4.3-1ubuntu4

---
libseccomp (2.4.3-1ubuntu4) groovy; urgency=medium

  * d/p/db-consolidate-some-of-the-code-which-adds-rules.patch
  * d/p/db-add-shadow-transactions.patch (LP: #1861177)
Backport upstream patches to address performance regression introduced
in libseccomp 2.4.

 -- Ioanna Alifieraki   Mon, 22
Jun 2020 11:10:27 +0100

** Changed in: libseccomp (Ubuntu Groovy)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libseccomp in Ubuntu.
https://bugs.launchpad.net/bugs/1861177

Title:
  seccomp_rule_add is very slow

Status in snapd:
  Invalid
Status in libseccomp package in Ubuntu:
  Fix Released
Status in libseccomp source package in Xenial:
  Fix Committed
Status in libseccomp source package in Bionic:
  Fix Committed
Status in libseccomp source package in Eoan:
  Fix Committed
Status in libseccomp source package in Focal:
  Fix Committed
Status in libseccomp source package in Groovy:
  Fix Released

Bug description:
  [IMPACT]
  There is a known and patched issue with version 2.4 of libseccomp where 
certain operations have a large performance regression. This is causing some 
packages that use libseccomp such as container orchestration systems to 
occasionally time out or otherwise fail under certain workloads.

  Please consider porting the patch into the various Ubuntu versions
  that have version 2.4 of libseccomp and into the backports. The
  performance patch from version 2.5 (yet to be released) applies
  cleanly on top of the 2.4 branch of libseccomp.

  For more information, and for a copy of the patch (which can also be
  cherry picked from the upstream libseccomp repos) see the similar
  Debian issue: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=943913

  Upstream issue : https://github.com/seccomp/libseccomp/issues/153
  Upstream fix : https://github.com/seccomp/libseccomp/pull/180/

  [Test Case]

  For this test case we use Docker on Ubuntu Groovy (20.10) :

  --> Current libseccomp version
  #dpkg -l | grep libseccomp
  ii  libseccomp2:amd64  2.4.3-1ubuntu3 
 amd64high level interface to Linux seccomp filter

  ## pull ubuntu image
  # docker pull ubuntu
  ## create a container
  # docker run --name test_seccomp -it 74435f89ab78 /bin/bash

  ## run test case
  # for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
  ...
  MAX TIME :
  real  0m10,319s
  user  0m0,018s
  sys   0m0,033s

  
  --> Patched libseccomp version

  # dpkg -l | grep libseccomp
  ii  libseccomp2:amd64  2.4.3-1ubuntu4 
 amd64high level interface to Linux seccomp filter

  # docker start test_seccomp
  ## run test case
  # for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
  ...
  MAX TIME :
  real  0m3,650s
  user  0m0,025s
  sys   0m0,028s

  [Regression Potential]

  The first of the 2 patches cleans up the code that adds rules to a
  single filter without changing the logic of the code. The second patch
  introduces the idea of shadow transactions. On a successful
  transaction commit the old transaction checkpoint is preserved and is
  brought up to date with the current filter. The next time a new
  transaction starts, it checks is the a shadow transaction exist and if
  so the shadow is used instead of creating a new checkpoint from
  scratch [1]. This is the patch that mitigates the performance
  regression. Any potential regression will involve the parts of the
  code that add rules to filters and/or the code that creates and checks
  the shadow transactions.

  
  [Other]

  Affected releases : Groovy, Focal, Eoan, Bionic, Xenial.

  [1]
  
https://github.com/seccomp/libseccomp/pull/180/commits/bc3a6c0453b0350ee43e4925482f705a2fbf5a4d

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1861177/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1692353] Re: systemd-fsckd : useless CR displayed on console

2020-07-14 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.6-2ubuntu1

---
systemd (245.6-2ubuntu1) groovy; urgency=medium

  * Merge to Ubuntu from Debian unstable
- Dropped changes:
  * dhclient-exit-hooks.d/timesyncd: Act only when systemd-timesyncd is 
enabled
  * hwdb: Mask rfkill event from intel-hid on HP platforms (LP: #1883846)
File: 
debian/patches/hwdb-Mask-rfkill-event-from-intel-hid-on-HP-platforms.patch

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c705323d61b9cd4e36ceb92e236cd6e9ba4c1b1a
  * debian/tests/tests-in-lxd: Show debugging info about reason of skipping test
File: debian/tests/tests-in-lxd

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1c835ca2d4f6d09977525d781d224a87ba7cde24
  * debian/tests/tests-in-lxd: Drop workaround removing fstab from the container
(LP: #1886430)
File: debian/tests/tests-in-lxd

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f13213af98fa4c27c5f7e58c511b9691bb56065a

 -- Balint Reczey   Mon, 06 Jul 2020 16:30:25 +0200

** Changed in: systemd (Ubuntu)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1692353

Title:
  systemd-fsckd : useless CR displayed on console

Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  Hello,

  My system is "Ubuntu 16.04.2 LTS" (grep DISTRIB_DESCRIPTION /etc/lsb-
  release).

  The systemd package is installed:
$ dpkg -l | grep systemd
> systemd 229-4ubuntu17 

  I noticed that approximately 15 seconds after the boot, a useless
  Carriage Return ('\r') is displayed on the console (/dev/console).
  This character interacts with the display of the user currently logued in
  on the console. This screws the current line, when users is pressing keys.

  After monitoring system activity, I found the culprit:
/lib/systemd/system/systemd-fsckd.service

  To test, run:
service systemd-fsckd stop# In case, it is still running.
service systemd-fsckd start
  Go to the console, wait for approximately 15 seconds, and you see the cursor
  jumping from its current position to the beginning of the line. This is the 
BUG.
  Note: the console is not the X11 terminal (xterm, lxterminal, etc.) ; the
  console is the text tty reached with Control-Alt-F1.

  The systemd-fsckd.service starts the following daemon:
/lib/systemd/systemd-fsckd
  This is the daemon which displays two useless '\r' characters.

  I went to:
http://packages.ubuntu.com/xenial/systemd

  I downloaded:

http://archive.ubuntu.com/ubuntu/pool/main/s/systemd/systemd_229-4ubuntu10.debian.tar.xz

  The file debian/patches/fsckd-daemon-for-inter-fsckd-communication.patch
  contains:
  +static int manager_write_console(Manager *m, const char *message) {
  [...]
  +if (message) {
  +fprintf(console, "\r%s\r%n", message, );
  +if (m->clear  < (size_t)l)
  +m->clear = (size_t)l;
  +} else {
  +fputc('\r', console);
  +for (j = 0; j < m->clear; j++)
  +fputc(' ', console);
  +fputc('\r', console);
  +}

  So, when no message was previously displayed, "m->clear" is still set
  to 0.

  Then, when the program ends it calls:
  +/* clear last line */
  +manager_write_console(m, NULL);

  However, in the "else" above, two '\r' characters are displayed, surrounding
  no space characters.

  So, when no message was previously displayed, there is nothing to clear, so
  no '\r' character to display.

  A trivial patch is attached. It is untested.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1692353/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1886430] Re: debian/tests/tests-in-lxd fails when /etc/fstab is missing from the LXC container

2020-07-14 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 245.6-2ubuntu1

---
systemd (245.6-2ubuntu1) groovy; urgency=medium

  * Merge to Ubuntu from Debian unstable
- Dropped changes:
  * dhclient-exit-hooks.d/timesyncd: Act only when systemd-timesyncd is 
enabled
  * hwdb: Mask rfkill event from intel-hid on HP platforms (LP: #1883846)
File: 
debian/patches/hwdb-Mask-rfkill-event-from-intel-hid-on-HP-platforms.patch

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c705323d61b9cd4e36ceb92e236cd6e9ba4c1b1a
  * debian/tests/tests-in-lxd: Show debugging info about reason of skipping test
File: debian/tests/tests-in-lxd

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1c835ca2d4f6d09977525d781d224a87ba7cde24
  * debian/tests/tests-in-lxd: Drop workaround removing fstab from the container
(LP: #1886430)
File: debian/tests/tests-in-lxd

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f13213af98fa4c27c5f7e58c511b9691bb56065a

 -- Balint Reczey   Mon, 06 Jul 2020 16:30:25 +0200

** Changed in: systemd (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1886430

Title:
  debian/tests/tests-in-lxd fails when /etc/fstab is missing from the
  LXC container

Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  In LP: #1877078 /etc/fstab has been removed from LXD images and now
  the workaround also removing it in the test started failing . :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1886430/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887191] Re: autopkgtest always fail on i386 for f and later

2020-07-14 Thread Steve Langasek
Also, there are NOT thousands of packages in the same situation as
systemd.  systemd is a whitelisted package which is still built on i386,
which has tests that can't be run (because we run our autopkgtests on
amd64 and apt will not allow you to switch from an amd64 systemd to an
i386 systemd noninteractively).  There are only a handful of packages in
this situation, all of which have had hints added manually to ignore
their test results on i386.

The more general class of problem, that test failures are treated as
regressions which should not be, is tracked as
https://bugs.launchpad.net/britney/+bug/1700668

** Changed in: auto-package-testing
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887191

Title:
  autopkgtest always fail on i386 for f and later

Status in Auto Package Testing:
  Invalid
Status in systemd package in Ubuntu:
  Invalid

Bug description:
  [impact]

  all autopkgtest runs fail for i386 arch for focal and later, since
  i386 is no longer a fully supported arch; the test run fails due to
  missing test deps.

  this is super annoying.

  [test case]

  run autopkgtest for i386 for f or g or later.

  [regression potential]

  as this only disables/skips all testing on i386 for f and later, any
  regression would likely cause incorrectly failed or skipped
  autopkgtests for non-i386 archs.

  [scope]

  this is needed for f and later.

  i386 is a fully supported arch for b and earlier.

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1887191/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882383] Re: bluetooth hsp/hfp didn't work anymore after updates. works fine before 2020 june 01

2020-07-14 Thread Launchpad Bug Tracker
*** This bug is a duplicate of bug 1871794 ***
https://bugs.launchpad.net/bugs/1871794

Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: pulseaudio (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1882383

Title:
  bluetooth hsp/hfp didn't work anymore after updates. works fine before
  2020 june 01

Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  after updates no sound input/output in hsp/hfp profile, works fine in a2dp 
for playing hq music
  annoying when having a lot of remote meeting, got to switch to a crappy 
headset with wire juste for meetings

  please correct it, I miss using my bt headset all day :)

  https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1878194

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.2
  ProcVersionSignature: Ubuntu 5.4.0-33.37-generic 5.4.34
  Uname: Linux 5.4.0-33-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  drub4n 1812 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Jun  6 19:21:00 2020
  InstallationDate: Installed on 2020-06-06 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/11/2020
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.7.0
  dmi.board.name: 0T8KGX
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.7.0:bd05/11/2020:svnDellInc.:pnXPS157590:pvr:rvnDellInc.:rn0T8KGX:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.family: XPS
  dmi.product.name: XPS 15 7590
  dmi.product.sku: 0905
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1882383/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887191] Re: autopkgtest always fail on i386 for f and later

2020-07-14 Thread Dan Streetman
> this should be fixed in hints handling in autopkgtest-cloud

+1 - autopkgtest-cloud shouldn't even bother running i386 tests for
focal or later, or at most the default should be to skip them unless
there is some configuration to explicitly run them

> the systemd test failures on i386 are already ignored by hints

because britney isn't the only thing that runs autopkgtests, e.g. tests
run manually from ppas will always see failures in i386.

I've updated autopkgtest-manager to never submit or check results for
i386 on focal or later (i.e. i worked around the breakage), I assume
others who use autopkgtest will similarly hack a workaround into their
tooling (but it's too bad we need to)

** Changed in: systemd (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887191

Title:
  autopkgtest always fail on i386 for f and later

Status in Auto Package Testing:
  Invalid
Status in systemd package in Ubuntu:
  Invalid

Bug description:
  [impact]

  all autopkgtest runs fail for i386 arch for focal and later, since
  i386 is no longer a fully supported arch; the test run fails due to
  missing test deps.

  this is super annoying.

  [test case]

  run autopkgtest for i386 for f or g or later.

  [regression potential]

  as this only disables/skips all testing on i386 for f and later, any
  regression would likely cause incorrectly failed or skipped
  autopkgtests for non-i386 archs.

  [scope]

  this is needed for f and later.

  i386 is a fully supported arch for b and earlier.

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1887191/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887191] Re: autopkgtest always fail on i386 for f and later

2020-07-14 Thread Steve Langasek
It should definitely not be changed in the systemd source package. But
the systemd test failures on i386 are already ignored by hints a I don't
understand why this bug has been raised.

(Also the triggering of tests and blocking of migration based on results
is a function of proposed-migration, not autopkgtest.)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887191

Title:
  autopkgtest always fail on i386 for f and later

Status in Auto Package Testing:
  New
Status in systemd package in Ubuntu:
  Invalid

Bug description:
  [impact]

  all autopkgtest runs fail for i386 arch for focal and later, since
  i386 is no longer a fully supported arch; the test run fails due to
  missing test deps.

  this is super annoying.

  [test case]

  run autopkgtest for i386 for f or g or later.

  [regression potential]

  as this only disables/skips all testing on i386 for f and later, any
  regression would likely cause incorrectly failed or skipped
  autopkgtests for non-i386 archs.

  [scope]

  this is needed for f and later.

  i386 is a fully supported arch for b and earlier.

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1887191/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887191] Re: autopkgtest always fail on i386 for f and later

2020-07-14 Thread Balint Reczey
IMO this should be fixed in hints handling in autopkgtest-cloud and not
on per package basis. Obsolete tests should not be run.

** Also affects: autopkgtest-cloud
   Importance: Undecided
   Status: New

** Project changed: autopkgtest-cloud => auto-package-testing

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887191

Title:
  autopkgtest always fail on i386 for f and later

Status in Auto Package Testing:
  New
Status in systemd package in Ubuntu:
  New

Bug description:
  [impact]

  all autopkgtest runs fail for i386 arch for focal and later, since
  i386 is no longer a fully supported arch; the test run fails due to
  missing test deps.

  this is super annoying.

  [test case]

  run autopkgtest for i386 for f or g or later.

  [regression potential]

  as this only disables/skips all testing on i386 for f and later, any
  regression would likely cause incorrectly failed or skipped
  autopkgtests for non-i386 archs.

  [scope]

  this is needed for f and later.

  i386 is a fully supported arch for b and earlier.

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1887191/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887191] Re: autopkgtest always fail on i386 for f and later

2020-07-14 Thread Balint Reczey
And I agree that this is super annoying - for thousands of packages.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887191

Title:
  autopkgtest always fail on i386 for f and later

Status in Auto Package Testing:
  New
Status in systemd package in Ubuntu:
  New

Bug description:
  [impact]

  all autopkgtest runs fail for i386 arch for focal and later, since
  i386 is no longer a fully supported arch; the test run fails due to
  missing test deps.

  this is super annoying.

  [test case]

  run autopkgtest for i386 for f or g or later.

  [regression potential]

  as this only disables/skips all testing on i386 for f and later, any
  regression would likely cause incorrectly failed or skipped
  autopkgtests for non-i386 archs.

  [scope]

  this is needed for f and later.

  i386 is a fully supported arch for b and earlier.

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1887191/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1615381] Re: apt-get autoremove may remove current kernel

2020-07-14 Thread Dan Streetman
** Tags added: seg

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1615381

Title:
  apt-get autoremove may remove current kernel

Status in apt package in Ubuntu:
  Confirmed
Status in unattended-upgrades package in Ubuntu:
  Fix Released
Status in unattended-upgrades source package in Trusty:
  Won't Fix
Status in unattended-upgrades source package in Xenial:
  Fix Released
Status in unattended-upgrades source package in Artful:
  Won't Fix

Bug description:
  This may happen, if you boot one of the older kernels, that is not
  protected by /etc/apt/apt.conf.d/01autoremove-kernels

  Workaround: run
  /etc/kernel/postinst.d/apt-auto-removal
  during each boot (e.g. by using cron).
  Note: The workaround breaks autoremoving feature of new unneeded kernels in  
unattended-upgrades i.e. the setting 
'Unattended-Upgrade::Remove-New-Unused-Dependencies "true"' (which is default 
in 16.04 unless 'Unattended-Upgrade::Remove-Unused-Dependencies "true"' is set 
in '/etc/apt/apt.conf.d/50unattended-upgrades'.

  
  In shell:

  $ uname -r
  4.4.0-22-generic
  $ apt-get -s autoremove
  NOTE: This is only a simulation!
    apt-get needs root privileges for real execution.
    Keep also in mind that locking is deactivated,
    so don't depend on the relevance to the real current situation!
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  The following packages will be REMOVED:
    linux-headers-4.4.0-21 linux-headers-4.4.0-21-generic linux-headers-4.4.0-22
    linux-headers-4.4.0-22-generic linux-headers-4.4.0-31-generic
    linux-image-4.4.0-21-generic linux-image-4.4.0-22-generic
    linux-image-4.4.0-31-generic linux-image-extra-4.4.0-21-generic
    linux-image-extra-4.4.0-22-generic linux-image-extra-4.4.0-31-generic
  0 upgraded, 0 newly installed, 11 to remove and 13 not upgraded.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apt 1.2.12~ubuntu16.04.1
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Sun Aug 21 16:11:27 2016
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2016-04-28 (114 days ago)
  InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: apt
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.kernel.postinst.d.apt-auto-removal: [modified]
  mtime.conffile..etc.kernel.postinst.d.apt-auto-removal: 
2016-07-30T12:15:32.706300

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1615381/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1701023] Re: (on trusty) version 1.9-3ubuntu10.4 regression blocking boot completion

2020-07-14 Thread Dan Streetman
removing sts tag, as this is still marked new for vlan in debian; any
vlan delta to debian should be handled elsewhere and is more than this
bug's patches.

** Tags removed: sts

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ifupdown in Ubuntu.
https://bugs.launchpad.net/bugs/1701023

Title:
  (on trusty) version 1.9-3ubuntu10.4 regression blocking boot
  completion

Status in ifupdown package in Ubuntu:
  Fix Released
Status in vlan package in Ubuntu:
  Fix Released
Status in ifupdown source package in Trusty:
  Fix Released
Status in vlan source package in Trusty:
  Fix Released
Status in ifupdown source package in Xenial:
  Fix Released
Status in vlan source package in Xenial:
  Fix Released
Status in ifupdown source package in Artful:
  Fix Released
Status in vlan source package in Artful:
  Fix Released
Status in ifupdown source package in Bionic:
  Fix Released
Status in vlan source package in Bionic:
  Fix Released
Status in ifupdown package in Debian:
  Fix Released
Status in vlan package in Debian:
  New

Bug description:
  [impact]

  in bug 1573272, the vlan pkg was changed to perform a full ifup inside
  its if-pre-up.d/vlan script.  This allowed correct ordering of ifup
  for a vlan and its raw-device, as previously there was a race
  condition between them (see that bug for details).

  However, this causes hangs during ifup with certain specific configs.
  The reasons are given starting in comment 13.

  The result is a regression for those using the specific ifupdown
  configs; when they try to reboot and/or ifup -a, it will hang trying
  to bring up their network, preventing boot from finishing (or hanging
  before the network is fully configured).

  [test case]

  upgrade to the latest vlan package and configure the system with an
  affected ifupdown config, then reboot.  The reboot will hang while
  trying to bring the network up.

  see the original description below for an example ifupdown config to
  reproduce this, although there are other possible configs that
  will/may trigger this regression.

  [regression potential]

  The fix for this moves the creation of the vlan(s) corresponding to a
  physical raw-device 'hotplug' event out of the udev processing path
  for the raw-device, and into an ifup post script for the raw-device
  ifup.  If this is not done correctly, then any interfaces that are
  hotplugged, and have vlans configured on them, may fail to correctly
  create/configure their vlan(s).

  This change does remove the direct call to ifup from the if-pre-up.d
  (or if-up.d) scripts, so there should not be any regression potential
  for more ifup deadlocks.

  [other info]

  this required both ifupdown and vlan to be patched.  vlan was patched
  to remove the problematic call to ifup from the vlan pre-up script,
  and add a call to create the vlan interface(s) from a new post-up
  script, as well as adding a parameter to vlan-network-interface script
  to handle the call from udev itself differently than a call from
  elsewhere (such as the if-up.d/vlan script).  this works for bootup
  and ifup/ifup -a, but fails for device hotplug because of a bug in
  ifupdown that prevents calling ifquery from an ifup script; that has
  been patched upstream already, and is the only ifupdown change needed
  here.

  
  [original description]

  When upgrading from version 1.9-3ubuntu10.1, a previously working
  machine can't successfully reboot completely.

  ifup is hanging indefinitely, with this process structure (from
  "pstree -a 1299"):

  ifup,1299 -a
    └─run-parts,1501 /etc/network/if-pre-up.d
    └─bridge,1502 /etc/network/if-pre-up.d/bridge
    └─bridge,1508 /etc/network/if-pre-up.d/bridge
    └─vlan,1511 /etc/network/if-pre-up.d/vlan
    └─ifup,1532 eth0

  
  auto lo
  iface lo inet loopback

  auto eth0
  iface eth0 inet static
    address 192.168.10.65
    netmask 255.255.255.192
    gateway 192.168.10.66

  auto eth0.11
    address 192.168.11.1
    netmask 255.255.255.0

  auto br1134
  iface br1134 inet manual
    bridge_ports eth0.1134
    bridge_stp off
    bridge_fd 0
  

  The underlying interface eth0.1134 is not explicitly defined, but was
  previously auto-created during "ifup -a" execution. This apparently
  fails now.

  Reverting back to the 10.1 version re-establishes old behavior.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ifupdown/+bug/1701023/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-14 Thread Kai-Heng Feng
Please test latest mainline kernel:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.8-rc5/

** Changed in: linux (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
index : 

[Touch-packages] [Bug 1887542] [NEW] apparmor 2.13.3-7ubuntu6 ADT test failure with linux-5.8 5.8.0-6.7

2020-07-14 Thread Seth Forshee
Public bug reported:

Testing failed on:
amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/amd64/a/apparmor/20200714_133743_4383d@/log.gz
arm64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/arm64/a/apparmor/20200714_14_bc148@/log.gz
armhf: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/armhf/a/apparmor/20200714_141429_e2c2b@/log.gz
ppc64el: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/ppc64el/a/apparmor/20200714_121607_23fa9@/log.gz
s390x: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/s390x/a/apparmor/20200714_120404_d5ecf@/log.gz

** Affects: apparmor (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: kernel-adt-failure

** Tags added: kernel-adt-failure

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1887542

Title:
  apparmor 2.13.3-7ubuntu6 ADT test failure with linux-5.8 5.8.0-6.7

Status in apparmor package in Ubuntu:
  New

Bug description:
  Testing failed on:
  amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/amd64/a/apparmor/20200714_133743_4383d@/log.gz
  arm64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/arm64/a/apparmor/20200714_14_bc148@/log.gz
  armhf: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/armhf/a/apparmor/20200714_141429_e2c2b@/log.gz
  ppc64el: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/ppc64el/a/apparmor/20200714_121607_23fa9@/log.gz
  s390x: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/s390x/a/apparmor/20200714_120404_d5ecf@/log.gz

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1887542/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887542] Re: apparmor 2.13.3-7ubuntu6 ADT test failure with linux-5.8 5.8.0-6.7

2020-07-14 Thread Seth Forshee
Seeing these failures with 5.4, 5.7, and 5.8 kernels.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1887542

Title:
  apparmor 2.13.3-7ubuntu6 ADT test failure with linux-5.8 5.8.0-6.7

Status in apparmor package in Ubuntu:
  New

Bug description:
  Testing failed on:
  amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/amd64/a/apparmor/20200714_133743_4383d@/log.gz
  arm64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/arm64/a/apparmor/20200714_14_bc148@/log.gz
  armhf: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/armhf/a/apparmor/20200714_141429_e2c2b@/log.gz
  ppc64el: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/ppc64el/a/apparmor/20200714_121607_23fa9@/log.gz
  s390x: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/s390x/a/apparmor/20200714_120404_d5ecf@/log.gz

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1887542/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879980] Re: Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

2020-07-14 Thread Guilherme G. Piccoli
** Changed in: cryptsetup (Ubuntu)
   Status: Confirmed => In Progress

** Bug watch added: Debian Bug tracker #933059
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933059

** Also affects: cryptsetup (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933059
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1879980

Title:
  Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

Status in cryptsetup package in Ubuntu:
  In Progress
Status in initramfs-tools package in Ubuntu:
  Confirmed
Status in mdadm package in Ubuntu:
  Confirmed
Status in cryptsetup package in Debian:
  Unknown

Bug description:
  [Impact]
  * Considering a setup of a encrypted rootfs on top of md RAID1 device, Ubuntu 
is currently unable to decrypt the rootfs if the array gets degraded, like for 
example if one of the array members gets removed.

  * The problem has 2 main aspects: first, cryptsetup initramfs script
  attempts to decrypt the array only in the local-top boot stage, and in
  case it fails, it gives-up and show user a shell (boot is aborted).

  * Second, mdadm initramfs script that assembles degraded arrays
  executes later on boot, in the local-block stage. So, in a stacked
  setup of encrypted root on top of RAID, if the RAID is degraded,
  cryptsetup fails early in the boot, preventing mdadm to assemble the
  degraded array.

  [Proposed solution]
  * The solution hereby proposed has 3 components: first, cryptsetup script is 
modified to allow a gentle failure on local-top stage, then it retries for a 
while in a later stage (local-block). This gives time to other initramfs 
scripts to run, like mdadm in local-block stage.

  * Second, mdadm script was adjusted - currently, it retries for a
  while to assemble the arrays in a non-degraded mode, by waiting for
  udev to discover the missing devices. After some time, it gives-up and
  assembles all arrays as degraded. The adjust we made was only to
  reduce this number of attempts and fallback a bit faster to degraded
  array assembly.

  * Third, there's a difference in Ubuntu initramfs-tools compared to
  Debian's : in Ubuntu, we rely on wait-for-root, a binary meant to
  speed-up the boot process. Problem is that currently this approach
  prevents local-block scripts to run more than once (thus retrying
  mechanisms will fail). Our proposed solution changes initramfs-tools
  to allow some looping in local-block stage (as Debian), but still
  relying on wait-for-root. Also, we increased a bit the default
  rootdelay from 30 seconds to 60 seconds.

  
  [Test case]
  * Install Ubuntu in a Virtual Machine with 2 disks. Use the installer to 
create a RAID1 volume and an encrypted root on top of it.

  * Boot the VM, and use "sgdisk"/"wipefs" to erase the partition table
  from one of the RAID members. Reboot and it will fail to mount rootfs
  and continue boot process.

  
  [Regression potential]

  * There are potential for regressions, since this is a change in 3
  boot components. The patches were designed in a way to keep the
  regular case working, it changes the failure case which is not
  currently working anyway.

  * A potential issue in the initramfs-tools change is a bad script in
  local-block, lacking a good "halt" mechanism, to induce a boot loop
  condition. This problem would be exposed by the hereby proposed
  modification.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1879980/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1668771] Re: [SRU] systemd-resolved negative caching for extended period of time

2020-07-14 Thread Dan Streetman
** Tags removed: sts

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1668771

Title:
  [SRU] systemd-resolved negative caching for extended period of time

Status in systemd:
  New
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Bionic:
  Fix Released
Status in systemd source package in Disco:
  Fix Released
Status in systemd source package in Eoan:
  Fix Released

Bug description:
  [Impact]

   * If a DNS lookup returns SERVFAIL, systemd-resolved seems to cache
  the result for very long (infinity?). I have to restart systemd-
  resolved to have the negative caching purged.

  * After SERVFAIL DNS server issue has been resolved, chromium/firefox
  still returns DNS error despite host can correctly resolve the name.

  [Test Case]

  * If a lookup returns SERVFAIL systemd-resolved will cache the result for 30s 
(See 201d995),
  however, there are several use cases on which this condition is not 
acceptable (See #5552 comments)
  and the only workaround would be to disable cache entirely or flush it , 
which isn't optimal.

  * Configure /etc/systemd/resolved.conf as follows:

  Cache=yes (default)

  * Restart systemd-resolved (systemctl restart systemd-
  resolved.service)

  * Run a host/getent command against a entry that will return SERVFAIL
  and check the journalctl output to see that the reply gets served from
  cache.

  root@systemd-disco:/home/ubuntu# host www.montemar.cl
  Host www.montemar.cl not found: 2(SERVFAIL)
  root@systemd-disco:/home/ubuntu# journalctl -u systemd-resolved -n
  -- Logs begin at Fri 2019-07-12 18:09:42 UTC, end at Tue 2019-07-23 15:10:17 
UTC. --
  Jul 23 15:10:10 systemd-disco systemd-resolved[1282]: Transaction 6222 for 
 on scope dns on ens3/* now complete with 
  Jul 23 15:10:10 systemd-disco systemd-resolved[1282]: Sending response packet 
with id 61042 on interface 1/AF_INET.
  Jul 23 15:10:10 systemd-disco systemd-resolved[1282]: Freeing transaction 
6222.
  Jul 23 15:10:17 systemd-disco systemd-resolved[1282]: Got DNS stub UDP query 
packet for id 53580
  Jul 23 15:10:17 systemd-disco systemd-resolved[1282]: Looking up RR for  
www.no-record.cl IN A.
  Jul 23 15:10:17 systemd-disco systemd-resolved[1282]: RCODE SERVFAIL cache 
hit for  www.no-record.cl IN A
  Jul 23 15:10:17 systemd-disco systemd-resolved[1282]: Transaction 58570 for < 
www.no-record.cl IN A> on scope dns on ens3/* now complete with  scope dns on ens3/.
  Jul 12 18:48:31 systemd-disco systemd-resolved[2635]: Using feature level UDP 
for transaction 22382.
  Jul 12 18:48:31 systemd-disco systemd-resolved[2635]: Sending query packet 
with id 22382.
  Jul 12 18:48:31 systemd-disco systemd-resolved[2635]: Processing incoming 
packet on transaction 22382 (rcode=SERVFAIL).
  Jul 12 18:48:31 systemd-disco systemd-resolved[2635]: Server returned error: 
SERVFAIL
  Jul 12 18:48:31 systemd-disco systemd-resolved[2635]: Not caching negative 
entry for: www.metaklass.org IN A, cache mode set to no-negative
  Jul 12 18:48:31 systemd-disco systemd-resolved[2635]: Transaction 22382 for 
 on scope dns on ens3/ now complete with from network 
(unsigned).
  Jul 12 18:48:31 systemd-disco systemd-resolved[2635]: Sending response packet 
with id 31060 on interface 1/AF_INET.

  The following patch https://github.com/systemd/systemd/pull/13047
  implements the required changes.

  [Other Info]

  Note that systemd in Eoan is being upgraded to upstream 242, so I am
  not adding this to Eoan now, as I don't want to disturb the merge. If
  needed after the merge, I'll add to Eoan.

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1668771/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1768625] Re: Bluetooth headset HSP/HFP mode not working in Bionic

2020-07-14 Thread Filip
*** This bug is a duplicate of bug 1576559 ***
https://bugs.launchpad.net/bugs/1576559

Any update on that issue? It can be a workaround using ofono but it is
crappy ofono is not included in focal as well. And setting ofono up
takes a few minutes and it is a hell two switch profiles, restart
headset and do a lot of stuff which can be automated. It would be great
to have it as an OS part. I use AirPods and only sound works out of the
box but for the mic I have to struggle with ofono and I'm not glad to
use this workaround.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1768625

Title:
  Bluetooth headset HSP/HFP mode not working in Bionic

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  There is a previous bug with almost the same title, but for Xenial
  (https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1549163). I
  have had this issue in Artful, and when commented on the old bug, I
  was asked to raise a new one instead. I waited to see if Bionic fixed
  it for me, but it does not seem to work still. So!

  Steps to reproduce:
  1. enable bluetooth on computer and switch on the headset.
  2. pair and connect the headset
  3. go to settings to switch headset to HSP/HFP mode to enable mic
  4. save and close window.

  Expected behaviour:
  1. mic should be enabled and headset should be usable to attend calls on 
laptop.

  Behaviour in error:
  1. Headset profile switches back to A2DP and mic is not enabled.

  I am using a generic bluetooth headset on a fresh updated Kubuntu
  18.04 bionic with plasma DE.

  Software versions:
  Kernel: 4.15.0-20-generic
  Bluez version: 5.48-0ubuntu3
  pulseaudio: 1:11.1-1ubuntu7
  pulseaudio-module-bluetooth: 1:11.1-1ubuntu7

  
  Additional information:
  Running "pacmd list-cards" says that HSF/HFP is 'not available' on the 
headset:

  Output from Headset section:
  profiles:
  a2dp_sink: High Fidelity Playback (A2DP Sink) (priority 40, 
available: unknown)
  headset_head_unit: Headset Head Unit (HSP/HFP) (priority 30, 
available: no)
  off: Off (priority 0, available: yes)
  active profile: 

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1768625/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883670] Re: Disable IEC958 on HP Thunderbolt Dock

2020-07-14 Thread hugh chao
current proposed version is 5.6.0.1020.17, let me wait for it.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-lib in Ubuntu.
https://bugs.launchpad.net/bugs/1883670

Title:
  Disable IEC958 on HP Thunderbolt Dock

Status in HWE Next:
  New
Status in OEM Priority Project:
  Confirmed
Status in alsa-lib package in Ubuntu:
  Fix Released
Status in alsa-lib source package in Focal:
  Fix Released
Status in alsa-lib source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  On HP Thunderbolt Dock, unusable SPDIF can be selected as output from 
PulseAudio.

  [Fix]
  Disable IEC958 (SPDIF) through ALSA UCM.

  [Test]
  With the UCM applied, `pactl` and audio panel in gnome-control-center no 
longer have SPDIF option.

  [Regression Potential]
  Low. This fix limits to the HP Thunderbolt Dock, other devices are unaffected.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883670/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-14 Thread hugh chao
** Tags removed: verification-needed verification-needed-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  New
Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  Fix Committed
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

  any regression would likely result in missed rfkill events.

  [scope]

  this is fixed upstream by commit
  d8a9dd0dc17df77229d079afe29c05ae4a9e2ae9 which is not included in any
  version yet, so this is needed for f and g.

  @kaihengfeng is this needed on b and/or x as well?

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-14 Thread hugh chao
** Tags added: verification-needed-focal

** Tags added: verification-needed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  New
Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  Fix Committed
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

  any regression would likely result in missed rfkill events.

  [scope]

  this is fixed upstream by commit
  d8a9dd0dc17df77229d079afe29c05ae4a9e2ae9 which is not included in any
  version yet, so this is needed for f and g.

  @kaihengfeng is this needed on b and/or x as well?

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1865226] Re: gdm-smartcard pam config needs to be updated for Ubuntu and installed

2020-07-14 Thread Martin Wimpress
** Changed in: gdm3 (Ubuntu)
 Assignee: (unassigned) => Marco Trevisan (Treviño) (3v1n0)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1865226

Title:
  gdm-smartcard pam config needs to be updated for Ubuntu and installed

Status in gdm:
  New
Status in gdm3 package in Ubuntu:
  Confirmed
Status in pam package in Ubuntu:
  Invalid

Bug description:
  the pam profile for gdm-smartcard is missing. gdm refuses to login
  with a smartcard. Looking at ubuntu/+source/gdm3, other pam files are
  pregenerated into debian/ and installed from there; gdm-smartcard is
  left out.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gdm3 3.28.3-0ubuntu18.04.4
  ProcVersionSignature: Ubuntu 5.3.0-24.26~18.04.2-generic 5.3.10
  Uname: Linux 5.3.0-24-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.9-0ubuntu7.11
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Feb 28 14:30:30 2020
  InstallationDate: Installed on 2016-05-23 (1376 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)
  mtime.conffile..etc.gdm3.Xsession: 2018-04-27T11:41:04.766901

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1865226/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1886314] Re: preinstall `earlyoom` by default

2020-07-14 Thread Martin Wimpress
** Changed in: ubuntu-meta (Ubuntu)
   Importance: Undecided => Wishlist

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1886314

Title:
  preinstall `earlyoom` by default

Status in ubuntu-meta package in Ubuntu:
  New

Bug description:
  Fedora done this https://fedoraproject.org/wiki/Changes/EnableEarlyoom

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-meta/+bug/1886314/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887372] Re: Cannot create lvm upon IMSM raid array

2020-07-14 Thread Mariusz Tkaczyk
** Summary changed:

- Cannot create lvm opon IMSM raid array
+ Cannot create lvm upon IMSM raid array

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1887372

Title:
  Cannot create lvm upon IMSM raid array

Status in lvm2 package in Ubuntu:
  New

Bug description:
  The issue has been observed on 2.3.7 (Ubuntu 20.04).
  Reported to lvm team:
  https://bugzilla.redhat.com/show_bug.cgi?id=1855251

  Steps to Reproduce:
  1. Create IMSM raid array:
  #mdadm -CR imsm -e imsm -n2 /dev/nvme[01]n1
  #mdadm -CR vol -l1 -n2 /dev/nvme[01]n1 -z 5G

  2. Create lvm volume on raid:
  # pvcreate -ff -y /dev/md/vol
  # vgcreate group0 /dev/md/vol
  # lvcreate -Z y -y -l +100%FREE group0 -n lvm0

  Actual results:
  Vg creation fails.

  Expected results:
  LVM should be able to determine the best drive and ignore duplicates.

  Additional info:
  IMSM metadata is written at the end of the drive. The first drive sector 
belongs to the raid volume and other metadata saved there (like lvm) can be 
recognized directly on raid members.

  The following patches should fix the issue (not verified yet):
  
https://sourceware.org/git/?p=lvm2.git;a=commit;h=23774f997ea077f2cbe8a32bd8bccdd7f4560cca
  
https://sourceware.org/git/?p=lvm2.git;a=commit;h=00c9a788cc617e5e40746dee2e17287d61ee5c81

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/1887372/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1051891] Re: Kernel crash shows confusing UI text

2020-07-14 Thread Ioana Lasc
** Changed in: apport
 Assignee: Jaroslavas Karmazinas (cheops) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1051891

Title:
  Kernel crash shows confusing UI text

Status in Apport:
  Triaged
Status in apport package in Ubuntu:
  Invalid

Bug description:
  apport trunk r2483

  If there is a kernel crash or oops, apport-gtk shows the "Ubuntu has
  experienced an internal error" message:

  elif report_type == 'KernelCrash' or report_type == 'KernelOops':
  ...
  self.w('title_label').set_label('%s' %
  
self.get_system_application_title())
  ...
  def get_system_application_title(self):
  ...
  else:
  if 'DistroRelease' not in self.report:
  self.report.add_os_info()
  t = _('Sorry, %s has experienced an internal error.') % 
self.report['DistroRelease']
  return t

  This is appropriate for an oops, because the UI will appear shortly
  afterward. But it isn't appropriate for a kernel crash, because Ubuntu
  will have restarted since the error. In that case, it should instead
  show the text "Ubuntu has restarted after experiencing an internal
  error." 

  It may save time to fix bug 1043392 at the same time as this bug.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1051891/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1381050] Re: "Import Key File" fails when the path of the file has special characters

2020-07-14 Thread Ioana Lasc
** Changed in: software-properties (Ubuntu Trusty)
   Status: Confirmed => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1381050

Title:
  "Import Key File" fails when the path of the file has special
  characters

Status in software-properties package in Ubuntu:
  Triaged
Status in software-properties source package in Trusty:
  Triaged

Bug description:
  [Impact]

  Importing a key that is in a path that contains special characters
  (like "/home/$USER/Transferências") fails silently.

  [Test Case]

  1. Download a PGP key for a Debian repository (for example, the VideoLAN
 team's key: download.videolan.org/pub/debian/videolan-apt.asc)
  2. Move the key file to a folder that contains special characters, or rename
 the file to contain them (example: VídeoLAN.asc).
  3. Open "Software & Updates" from the Dash, then select the Authentication
 tab.
  4. Press the "Import Key File..." button and then choose the key file.
 Admin authentication should then be requested, so authenticate yourself.

 If the bug is fixed: the key should now appear in the list of keys.
 If not: the key was not added.

  [Regression Potential]

  If the fix is not correct, I suppose it could potentially break the
  "import key" feature even more, so it wouldn't work even in "normal"
  paths.

  [Original Report]

  The "Import Key File..." button in the "Authentication" tab fails
  silently when the path of the selected key file includes special
  characters.

  I'm using Ubuntu in Portuguese, so the "/home/$USER/Downloads" folder is 
named "/home/$USER/Transferências" here.
  Adding a key from that folder fails, but adding a key from "/home/$USER" (no 
special characters) succeeds.

  The problem is that, in
  softwareproperties/gtk/SoftwarePropertiesGtk.py in method
  SoftwarePropertiesGtk.add_key_clicked() at around line 952:

  if res == Gtk.ResponseType.ACCEPT:
  try:
  if not self.backend.AddKey(chooser.get_filename()):
  error(self.window_main,
    _("Error importing selected file"),
    _("The selected file may not be a GPG key file "
  "or it might be corrupt."))
  except dbus.DBusException as e:
  if e._dbus_error_name == 
'com.ubuntu.SoftwareProperties.PermissionDeniedByPolicy':
  logging.error("Authentication canceled, changes have not 
been saved")

  "self.backend.AddKey(chooser.get_filename())" throws a 
"org.freedesktop.DBus.Python.UnicodeEncodeError" exception for paths with 
special characters.
  This is probably a side effect of switching from Python 2 to 3 (and 'bytes' 
now being used in network communications where 'str' was previously used).

  Another issue is that the error isn't reported to the user, and it
  should be.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: software-properties-gtk 0.92.37.1
  ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
  Uname: Linux 3.13.0-37-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.5
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Oct 14 13:22:21 2014
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2014-10-13 (0 days ago)
  InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 
(20140722.2)
  PackageArchitecture: all
  SourcePackage: software-properties
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1381050/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876882] Re: Backport packages for 18.04.5 HWE stack

2020-07-14 Thread scx
> right, I think the default driver should still be i965 for the
backport, as TGL support isn't a priority

I agree that i965 should be the default driver.
There is a bug in xf86-video-intel (xserver-xorg-video-intel). It leads to iris 
crashes when DRI2 and the intel DDX driver (instead of modesetting) are in use.
https://github.com/flatpak/flatpak/issues/3673#issuecomment-656688063

Almost all current Linux distributions are affected (including Fedora Rawhide 
and openSUSE Tumbleweed). Basically, everything that uses xf86-video-intel 
(xserver-xorg-video-intel) older than 2 months (or without patch) is affected.
https://src.fedoraproject.org/rpms/xorg-x11-drv-intel/blob/2501bf9ac2a756f333a6852309eb745e6b9d6861/f/xorg-x11-drv-intel.spec#_3
https://build.opensuse.org/package/view_file/openSUSE:Factory/xf86-video-intel/xf86-video-intel.spec?rev=82

To fix it, please make sure that you have applied this patch:
https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel/-/commit/f2a54e256dd7539633c476a379db2b1e60eec811

Related issues in EL and Fedora:
- EL7: https://bugzilla.redhat.com/show_bug.cgi?id=1854674
- EL8: https://bugzilla.redhat.com/show_bug.cgi?id=1856738
- FC32: https://bugzilla.redhat.com/show_bug.cgi?id=1854672

See also:
https://github.com/widelands/widelands/issues/3937
https://github.com/flatpak/flatpak/issues/3673
https://gitlab.com/freedesktop-sdk/freedesktop-sdk/-/issues/1071
https://gitlab.com/freedesktop-sdk/freedesktop-sdk/-/merge_requests/2927#note_375652460
https://gitlab.freedesktop.org/mesa/mesa/-/issues/3188


** Bug watch added: github.com/flatpak/flatpak/issues #3673
   https://github.com/flatpak/flatpak/issues/3673

** Bug watch added: Red Hat Bugzilla #1854674
   https://bugzilla.redhat.com/show_bug.cgi?id=1854674

** Bug watch added: Red Hat Bugzilla #1856738
   https://bugzilla.redhat.com/show_bug.cgi?id=1856738

** Bug watch added: Red Hat Bugzilla #1854672
   https://bugzilla.redhat.com/show_bug.cgi?id=1854672

** Bug watch added: github.com/widelands/widelands/issues #3937
   https://github.com/widelands/widelands/issues/3937

** Bug watch added: gitlab.com/freedesktop-sdk/freedesktop-sdk/-/issues #1071
   https://gitlab.com/freedesktop-sdk/freedesktop-sdk/-/issues/1071

** Bug watch added: gitlab.freedesktop.org/mesa/mesa/-/issues #3188
   https://gitlab.freedesktop.org/mesa/mesa/-/issues/3188

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1876882

Title:
  Backport packages for 18.04.5 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in llvm-toolchain-10 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in xorg-server-hwe-18.04 package in Ubuntu:
  Invalid
Status in xserver-xorg-video-amdgpu-hwe-18.04 package in Ubuntu:
  Invalid
Status in xserver-xorg-video-ati-hwe-18.04 package in Ubuntu:
  Invalid
Status in libclc source package in Bionic:
  Invalid
Status in libdrm source package in Bionic:
  Fix Released
Status in llvm-toolchain-10 source package in Bionic:
  Fix Released
Status in mesa source package in Bionic:
  Fix Released
Status in xorg-server-hwe-18.04 source package in Bionic:
  Fix Released
Status in xserver-xorg-video-amdgpu-hwe-18.04 source package in Bionic:
  Fix Released
Status in xserver-xorg-video-ati-hwe-18.04 source package in Bionic:
  Fix Released

Bug description:
  [Impact]

  These are needed for 18.04.5 images.

  [Test case]

  Boot a daily image, see that it still has the necessary stack
  installed and working.

  Check upgrade from stock bionic.

  [Regression potential]

  libdrm: very minimal chance for regressions

  llvm-10: a new package, no regression potential on it's own

  libclc: more or less just adds support for new llvm

  mesa: a new major release, but we'll pull the final stable release of
  20.0.x series, so there shouldn't be any regressions left at that
  point

  xserver: a new point-release

  xorg drivers: modest updates, if any

  [Other info]

  mesa and libclc will migrate to llvm-10 in a separate upload

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1876882/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882161] Re: module-switch-on-port-avaiable: switch the port on ucm devices based on the priority

2020-07-14 Thread Kai-Chuan Hsieh
Test on Intel Tiger Lake platform CID:202004-27837

BIOS: 0.5.1
kernel: 5.6.0-1018-oem
gnome-control-center: 1:3.36.4-0ubuntu1
pulseaudio: 1:13.99.1-1ubuntu3.4
linux-firmware: 1.187.1.0.2 hui's ppa 
https://launchpad.net/~hui.wang/+archive/ubuntu/linux-firmware

1. add proposed update
2. $ sudo add-apt-repository ppa:hui.wang/linux-firmware
3. $ sudo apt install pulseaudio
4. $ sudo apt install gnome-control-center
5. $ sudo reboot

Test item:

internal speaker: okay
DMIC: okay
audio jack input: okay
audio jack output: okay
HDMI output: okay

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1882161

Title:
  module-switch-on-port-avaiable: switch the port on ucm devices based
  on the priority

Status in HWE Next:
  New
Status in OEM Priority Project:
  New
Status in pulseaudio package in Ubuntu:
  Fix Released
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * On the Dell machines with multi function audio jack, the
     headphone/headset can't output sound automatically, which is different
     from ubuntu 18.04. The headphone/headset should be able to  output
     sound automatically after plugging in the audio jack.

  [Test Case]

   * On Tiger Lake platform
     Reproduce step:
     1. plug headphone/headset
     2. open g-c-c sound to check

     Expect result: The output device should switch to headphone or headset,
    since headphone's priority is higher in ucm2 config.
     Actual result: The output device is still internal speaker.

  [Regression Potential]

   * The change insert the ucm device by its priority, the potential
 regression is low, since if the change is not working properly, the 
 side effect is that the order of ucm devices are wrong, and it won't 
 switch to the correct output device as expect, but user can still
 config it manually.

  [Other]

   * This bug originates from an OEM private bug #1875597, then ubuntu users
     reported 2 public bugs #1871329 and #1881659. The 2nd issue of #1871329
     and the 1st issue of #1881659 have the same root cause as #1875597

   * The root cause is the ucm2 conf defines 2 input devices: the Mic2 and
     Headset MIC, and the pulseaudio parse the input device Headset MIC
     first then Mic2, finally the audio jack is set to Mic2 mode, this make
     the audio jack can't output sound anymore. To fix it, let the audio
     jack set to Headset MIC mode by default (Headset MIC has higher
     priority than Mic2 in the ucm2 conf), to do so, let pulseaudio send the
     device event to module-switch-on-port-available by the order of
     priority in the umc2.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1882161/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1885127] Re: ethernet interfaces explicity excluded from management in globally-managed-devices.conf

2020-07-14 Thread bjmuld
NetworkManager was included with the Ubuntu Studio 19.10 installation 
(via bootable usb).  Netplan's cloud-init (below) was the first route of
repair, but did not do the trick and netplan.io was purged in the
troubleshooting process:

```bash
$ cat /etc/netplan/01-network-manager-all.yaml
# Let NetworkManager manage all devices on this system
network:
  version: 2
  renderer: NetworkManager

```

On 6/29/20 11:30 AM, Sebastien Bacher wrote:
> Could you give some details on what type of installation you did and
> what desktop you are using? On an Ubuntu Desktop netplan.io should be
> installed and when the NetworkManager backend is in use then the
> unmanaged device list is emptied
>
> the behaviour is explained in that changelog entry
>
> https://launchpad.net/ubuntu/+source/network-manager/1.2.2-0ubuntu8
>

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1885127

Title:
  ethernet interfaces explicity excluded from management in globally-
  managed-devices.conf

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  The file `/usr/lib/NetworkManager/conf.d/10-globally-managed-devices.conf` 
included with this package (installed via apt in 19.10 environment) contains 
the line:
  ```
  unmanaged-devices=*,except:type:wifi,except:type:gsm,except:type:cdma
  ```

  In my system (laptop with no native ethernet), this results in the inability 
to easily use USB/ethernet adapters.  After manually modifying:
  ```
  
unmanaged-devices=*,except:type:wifi,except:type:gsm,except:type:cdma,except:type:ethernet
  ```
  the USB/ethernet adapter is detected and configured automatically by 
NetworkManager

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1885127/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871721] Re: Second Monitor on HDMI blank screen/blink screen with Nvidia + Intel & Ubuntu 20.04? (ASUS Laptop)

2020-07-14 Thread Noctis Bennington
Just to let you know, if I adjust the resolution to 800x600 it works,
but "blinks" every 10-15 seconds. It's so strange.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1871721

Title:
  Second Monitor on HDMI blank screen/blink screen with Nvidia + Intel &
  Ubuntu 20.04? (ASUS Laptop)

Status in kernel-package package in Ubuntu:
  Confirmed
Status in mesa package in Ubuntu:
  Confirmed
Status in nouveau-firmware package in Ubuntu:
  Confirmed
Status in nvidia-graphics-drivers-440 package in Ubuntu:
  Confirmed
Status in xserver-xorg-video-intel package in Ubuntu:
  Confirmed

Bug description:
  I installed Ubuntu 20.04 on my ASUS laptop with Intel+Nvidia with propietary 
drivers of Nvidia (I have 440.64 rn) and I connected a second monitor to use 
it, but I saw that I cannot use it, I just see a blank screen. I tried with a 
TV of my room and same. The funny part is when I start the laptop to work, I 
can see the logo of my BIOS and the ASUS logo in the second monitor, even the 
grub, but after that I can't see nothing.
  When I reduce the resolution of the second monitor (800x600) then works, but 
even with that sometimes blinks to black again.
  On W10 for example it works perfectly, so I deduce it's not 'cause my HDMI.

  I tried with nouveau drivers and I have the same results btw.

  Laptop Asus with:
  Graphic card  Nvidia GTX960M
  Processor  Intel i5 6300

  I tried with Nvidia Prime to Nvidia, Intel and On-demand. None of them
  works. All of them with Xorg.

  I have this with xrandr:

  Screen 0: minimum 8 x 8, current 2720 x 1080, maximum 16384 x 16384
  eDP-1-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y 
axis) 344mm x 193mm
     1920x1080 60.00*+  59.9759.9659.93
     1680x1050 59.9559.88
     1600x1024 60.17
     1400x1050 59.98
     1600x900  59.9959.9459.9559.82
     1280x1024 60.02
     1440x900  59.89
     1400x900  59.9659.88
     1280x960  60.00
     1440x810  60.0059.97
     1368x768  59.8859.85
     1360x768  59.8059.96
     1280x800  59.9959.9759.8159.91
     1152x864  60.00
     1280x720  60.0059.9959.8659.74
     1024x768  60.0460.00
     960x720   60.00
     928x696   60.05
     896x672   60.01
     1024x576  59.9559.9659.9059.82
     960x600   59.9360.00
     960x540   59.9659.9959.6359.82
     800x600   60.0060.3256.25
     840x525   60.0159.88
     864x486   59.9259.57
     800x512   60.17
     700x525   59.98
     800x450   59.9559.82
     640x512   60.02
     720x450   59.89
     700x450   59.9659.88
     640x480   60.0059.94
     720x405   59.5158.99
     684x384   59.8859.85
     680x384   59.8059.96
     640x400   59.8859.98
     576x432   60.06
     640x360   59.8659.8359.8459.32
     512x384   60.00
     512x288   60.0059.92
     480x270   59.6359.82
     400x300   60.3256.34
     432x243   59.9259.57
     320x240   60.05
     360x202   59.5159.13
     320x180   59.8459.32
  DP-1-1 disconnected (normal left inverted right x axis y axis)
  HDMI-1-1 disconnected (normal left inverted right x axis y axis)
  HDMI-1-2 connected 800x600+1920+0 (normal left inverted right x axis y axis) 
1600mm x 900mm
     1920x1080 60.00 +  50.0059.9430.0025.0024.0029.97  
  23.98
     1920x1080i60.0050.0059.94
     1280x1024 60.02
     1360x768  60.02
     1152x864  59.97
     1280x720  59.8160.0050.0059.94
     1024x768  60.00
     800x600   60.32*
     720x576   50.00
     720x576i  50.00
     720x480   60.0059.94
     640x480   60.0059.94
     720x400   70.08
  DP-1-2 disconnected (normal left inverted right x axis y axis)
  HDMI-1-3 disconnected (normal left inverted right x axis y axis)

  PD: When you select a specific resolution, the second monitor "works", but it 
blinks, the image showed via HDMI on the second monitor blinks. So is 
impossible to work with it. Since all this time I was searching about this and 
I'm almost sure this is a problem of the GPU's Intel. But I saw this problem on 
askubuntu just with laptops with hybrid graphics. Always with Nvidia+Intel. 
(Maybe AMD+Nvidia too, but I'm not sure if they have the same problem here).
  --- 
  ProblemType: Bug
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Es un directorio: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.suspend: suspend hibernate resume
  .proc.driver.nvidia.suspend_depth: default modeset uvm
  .proc.driver.nvidia.version:
   

Re: [Touch-packages] [Bug 1885127] Re: ethernet interfaces explicity excluded from management in globally-managed-devices.conf

2020-07-14 Thread bjmuld
Sorry for tardiness...  that directory (/run/NetworkManager/conf.d/)
does not exist.

```bash
$ ls /run/NetworkManager/
devices  no-stub-resolv.conf  resolv.conf  system-connections
```


On 6/29/20 11:30 AM, Sebastien Bacher wrote:
> could you also give the output of this command on your system?
>
> $ ls /run/NetworkManager/conf.d/
>
> it should have the ovveride configuration
>

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1885127

Title:
  ethernet interfaces explicity excluded from management in globally-
  managed-devices.conf

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  The file `/usr/lib/NetworkManager/conf.d/10-globally-managed-devices.conf` 
included with this package (installed via apt in 19.10 environment) contains 
the line:
  ```
  unmanaged-devices=*,except:type:wifi,except:type:gsm,except:type:cdma
  ```

  In my system (laptop with no native ethernet), this results in the inability 
to easily use USB/ethernet adapters.  After manually modifying:
  ```
  
unmanaged-devices=*,except:type:wifi,except:type:gsm,except:type:cdma,except:type:ethernet
  ```
  the USB/ethernet adapter is detected and configured automatically by 
NetworkManager

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1885127/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887507] Re: Please remove old libgtk2-perl from Recommends and drop dependency against gnome-icon-theme

2020-07-14 Thread Bug Watch Updater
** Changed in: gdebi (Debian)
   Status: Unknown => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdebi in Ubuntu.
https://bugs.launchpad.net/bugs/1887507

Title:
  Please remove old libgtk2-perl from Recommends and drop dependency
  against gnome-icon-theme

Status in gdebi package in Ubuntu:
  New
Status in gdebi package in Debian:
  New

Bug description:
  Could you please remove old libgtk2-perl from Recommends and drop the
  dependency against gnome-icon-theme?

  libgtk2-perl and gnome-icon-theme is deprecated for gtk3 and replaced by 
adwaita-icon-theme.  
  If I'm not wrong, gdebi only uses one icon from gnome-icon-theme, 
gnome-mime-application-x-deb, this icon is not available in adwaita-icon-theme. 
BUT, can be replaced by the package-x-generic (which is also available in other 
icon themes). On my machine this is the same icon as for the .deb and .udeb 
files. An explicit dependency against adwaita-icon-theme should probably be 
avoided as libgtk3 will already pull it.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdebi/+bug/1887507/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-14 Thread hugh chao
** Changed in: oem-priority
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  New
Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  Fix Committed
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

  any regression would likely result in missed rfkill events.

  [scope]

  this is fixed upstream by commit
  d8a9dd0dc17df77229d079afe29c05ae4a9e2ae9 which is not included in any
  version yet, so this is needed for f and g.

  @kaihengfeng is this needed on b and/or x as well?

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887507] [NEW] Please remove old libgtk2-perl from Recommends and drop dependency against gnome-icon-theme

2020-07-14 Thread Mantas Kriaučiūnas
Public bug reported:

Could you please remove old libgtk2-perl from Recommends and drop the
dependency against gnome-icon-theme?

libgtk2-perl and gnome-icon-theme is deprecated for gtk3 and replaced by 
adwaita-icon-theme.  
If I'm not wrong, gdebi only uses one icon from gnome-icon-theme, 
gnome-mime-application-x-deb, this icon is not available in adwaita-icon-theme. 
BUT, can be replaced by the package-x-generic (which is also available in other 
icon themes). On my machine this is the same icon as for the .deb and .udeb 
files. An explicit dependency against adwaita-icon-theme should probably be 
avoided as libgtk3 will already pull it.

** Affects: gdebi (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: gdebi (Debian)
 Importance: Unknown
 Status: Unknown

** Bug watch added: Debian Bug tracker #831050
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831050

** Also affects: gdebi (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831050
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdebi in Ubuntu.
https://bugs.launchpad.net/bugs/1887507

Title:
  Please remove old libgtk2-perl from Recommends and drop dependency
  against gnome-icon-theme

Status in gdebi package in Ubuntu:
  New
Status in gdebi package in Debian:
  Unknown

Bug description:
  Could you please remove old libgtk2-perl from Recommends and drop the
  dependency against gnome-icon-theme?

  libgtk2-perl and gnome-icon-theme is deprecated for gtk3 and replaced by 
adwaita-icon-theme.  
  If I'm not wrong, gdebi only uses one icon from gnome-icon-theme, 
gnome-mime-application-x-deb, this icon is not available in adwaita-icon-theme. 
BUT, can be replaced by the package-x-generic (which is also available in other 
icon themes). On my machine this is the same icon as for the .deb and .udeb 
files. An explicit dependency against adwaita-icon-theme should probably be 
avoided as libgtk3 will already pull it.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdebi/+bug/1887507/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887502] Re: Wayland desktop doesn't refresh

2020-07-14 Thread Daniel van Vugt
Please report the problem here:

  https://gitlab.gnome.org/World/ShellExtensions/desktop-icons/-/issues

and then tell us the new issue ID.

** Package changed: xorg (Ubuntu) => gnome-shell-extension-desktop-icons
(Ubuntu)

** Summary changed:

- Wayland desktop doesn't refresh
+ Desktop doesn't refresh

** Summary changed:

- Desktop doesn't refresh
+ Desktop doesn't refresh (still shows files that have been deleted)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887502

Title:
  Desktop doesn't refresh (still shows files that have been deleted)

Status in gnome-shell-extension-desktop-icons package in Ubuntu:
  New

Bug description:
  Ubuntu 20.04 wayland
  When I save different files (LibreOffice Writer and PDF) in the desktop 
folder, then delete them, the desktop doesn't refresh : the deleted files stay 
displayed on the desktop (the screen) (despite they don't appear anymore in 
Nautilus).

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
  Uname: Linux 5.4.0-40-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission non accordée: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jul 14 11:27:06 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus:
   virtualbox, 6.1.6, 5.4.0-39-generic, x86_64: installed
   virtualbox, 6.1.6, 5.4.0-40-generic, x86_64: installed
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Barts PRO [Radeon HD 6850] 
[1002:6739] (prog-if 00 [VGA controller])
 Subsystem: PC Partner Limited / Sapphire Technology Barts PRO [Radeon HD 
6850] [174b:174b]
  InstallationDate: Installed on 2020-04-10 (94 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic 
root=UUID=042824eb-95be-471e-bdb4-d7adf594a94a ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/05/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P2.80
  dmi.board.name: 970 Extreme4
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP2.80:bd08/05/2015:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rn970Extreme4:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell-extension-desktop-icons/+bug/1887502/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-14 Thread Rex Tsai
** Also affects: oem-priority
   Importance: Undecided
   Status: New

** Changed in: oem-priority
   Importance: Undecided => Critical

** Changed in: oem-priority
 Assignee: (unassigned) => hugh chao (hugh712)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  New
Status in OEM Priority Project:
  New
Status in systemd package in Ubuntu:
  Fix Committed
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

  any regression would likely result in missed rfkill events.

  [scope]

  this is fixed upstream by commit
  d8a9dd0dc17df77229d079afe29c05ae4a9e2ae9 which is not included in any
  version yet, so this is needed for f and g.

  @kaihengfeng is this needed on b and/or x as well?

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1347914] Re: Audacity crashes on startup while trying to read /proc/cpuinfo

2020-07-14 Thread Daniel Letzeisen
jackd2 (1.9.9.5+20140404git3d7c67dc~dfsg-1) unstable; urgency=low

  * Enable ffado on all Linux platforms (Closes: #727248)
  * Imported Upstream version 1.9.9.5+20140404git3d7c67dc
  * Fix startup problems on newer ARM kernels

 -- Adrian Knoth   Fri, 04 Apr 2014 14:04:15
+0200

** Package changed: audacity (Ubuntu) => jackd2 (Ubuntu)

** Changed in: jackd2 (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to jackd2 in Ubuntu.
https://bugs.launchpad.net/bugs/1347914

Title:
  Audacity crashes on startup while trying to read /proc/cpuinfo

Status in jackd2 package in Ubuntu:
  Fix Released

Bug description:
  root@tegra-ubuntu:~# audacity
  ALSA lib pcm_dsnoop.c:618:(snd_pcm_dsnoop_open) unable to open slave
  ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
  ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
  ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
  ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
  bt_audio_service_open: connect() failed: Connection refused (111)
  bt_audio_service_open: connect() failed: Connection refused (111)
  bt_audio_service_open: connect() failed: Connection refused (111)
  bt_audio_service_open: connect() failed: Connection refused (111)
  ALSA lib pcm_dmix.c:961:(snd_pcm_dmix_open) The dmix plugin supports only 
playback stream
  ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
  FATAL: cannot locate cpu MHz in /proc/cpuinfo

  It looks like audacity requires the Bogomips value from /proc/cpuinfo which 
is no more
  present in modern kernels.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: audacity 2.0.5-1ubuntu3.2
  Uname: Linux 3.10.24-gf455cd4 armv7l
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: armhf
  CurrentDesktop: Unity
  Date: Wed Jul 23 22:44:22 2014
  SourcePackage: audacity
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/jackd2/+bug/1347914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867424] Re: motd-news transmitting private hardware data without consent or knowledge in background

2020-07-14 Thread Guy Baconniere
On my point of view, it's NOT enough to implement a legal notice
https://ubuntu.com/legal/motd with technical errors and it is not
possible to verify that Canonical does not store the IP address of
Ubuntu users in Apache log (the default) and/or database without an
external auditor (PwC, EY, KPMG, etc.).

Nothing has been done regarding the consent of the user.

I except one of the following two options to be implemented by
Canonical.

(A)

Ask for consent during the installation of the operating system Ubuntu
and before sharing my personal information via the motd-news software
used for Telemetry, Tracking, Advertising purpose instead of providing
meaningful "security messages or other news" on a daily basis.

(B)

Or disable it by default via ENABLED=0 in the file /etc/default/motd-
news and move motd-news software outside "base-files" package and make
it user removable.

If Canonical doesn't takes data protection seriously by implementing
technical measures such as stop calling motd-news during installation
and after automatically without consent and implement an easy way to opt
out for people without technical knowledge in linux shell then ICO will
need to evaluate the choice of Canonical of enforcing Telemetry hidden
in motd-news's User-Agent without asking user consent and not respecting
"No, don't send system info" choice of the user during the installation
wizard, sending beacons with IP address, system info twice a day, every
day from all Ubuntu Desktop and Ubuntu Server installations worldwide.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to base-files in Ubuntu.
https://bugs.launchpad.net/bugs/1867424

Title:
  motd-news transmitting private hardware data without consent or
  knowledge in background

Status in base-files package in Ubuntu:
  Won't Fix

Bug description:
  In package base-files there is a script /etc/update-motd.d/50-motd-
  news that harvests private hardware data from the machine and
  transmits it in the background every day.  There is no notice, no
  consent, no nothing.  This should be by default disabled until there
  is informed consent.

  This solution is simple:

  1. Change ENABLED=1 to ENABLED=0 in the file /etc/default/motd-news and 
  2. Place a comment in the file disclosing the fact that the 50-motd-news 
script will harvest private hardware data and upload it to motd.ubuntu.com 
daily if the end-user enables it.

  Creating databases that maps ip address to specify hardware is a
  threat to both privacy and security.  If an adversary knows the
  specific hardware and the ip address for that hardware their ability
  to successfully attack it is greatly increased.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/base-files/+bug/1867424/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1396640] Re: [X550LA, Realtek ALC233, Mic, Internal] No sound at all

2020-07-14 Thread Daniel Letzeisen
*** This bug is a duplicate of bug 1341890 ***
https://bugs.launchpad.net/bugs/1341890

** This bug has been marked a duplicate of bug 1341890
   [X550LA, Realtek ALC3236, Mic, Internal] No sound at all

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1396640

Title:
  [X550LA, Realtek ALC233, Mic, Internal] No sound at all

Status in pulseaudio package in Ubuntu:
  New

Bug description:
  I am unable to use mic in ASUS X550L

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: pulseaudio 1:4.0-0ubuntu11
  ProcVersionSignature: Ubuntu 3.13.0-39.66-generic 3.13.11.8
  Uname: Linux 3.13.0-39-generic i686
  ApportVersion: 2.14.1-0ubuntu3.5
  Architecture: i386
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  isuru  2753 F pulseaudio
   /dev/snd/controlC0:  isuru  2753 F pulseaudio
  CurrentDesktop: GNOME
  Date: Wed Nov 26 20:35:51 2014
  InstallationDate: Installed on 2014-10-27 (30 days ago)
  InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release i386 
(20140722.2)
  SourcePackage: pulseaudio
  Symptom: audio
  Symptom_AlsaRecordingTest: ALSA recording test through plughw:PCH successful
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  isuru  2753 F pulseaudio
   /dev/snd/pcmC1D0c:   isuru  2753 F...m pulseaudio
   /dev/snd/pcmC1D0p:   isuru  2753 F...m pulseaudio
   /dev/snd/controlC0:  isuru  2753 F pulseaudio
  Symptom_Jack: Mic, Internal
  Symptom_PulseAudioRecordingTest: PulseAudio recording test through plughw:PCH 
failed
  Symptom_Type: No sound at all
  Title: [X550LA, Realtek ALC233, Mic, Internal] No sound at all
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/14/2014
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: X550LA.508
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: X550LA
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: ATN12345678901234567
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrX550LA.508:bd05/14/2014:svnASUSTeKCOMPUTERINC.:pnX550LA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550LA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
  dmi.product.name: X550LA
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1396640/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887503] [NEW] "sort" does not perform correctly when locale is en_GB or en_US

2020-07-14 Thread Howard Guo
Public bug reported:

Create a plain text file with two lines:

a1 12
a 12

Sort it using locale "C", observe the correct result:

env LC_ALL=C sort test.txt
a 12
a1 12

Sort it using other English locales and observe the incorrect result:

env LC_ALL=en_US sort test.txt
a1 12
a 12
env LC_ALL=en_GB sort test.txt
a1 12
a 12

The system has the following locales packages installed:

ii  locales  2.31-0ubuntu9   
all  GNU C Library: National Language (locale) data [support]
ii  locales-all  2.31-0ubuntu9   
amd64GNU C Library: Precompiled locale data

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: coreutils 8.30-3ubuntu2
ProcVersionSignature: Microsoft 4.4.0-18362.836-Microsoft 4.4.35
Uname: Linux 4.4.0-18362-Microsoft x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
CasperMD5CheckResult: skip
Date: Tue Jul 14 12:36:53 2020
ProcEnviron:
 LANGUAGE=en_GB.UTF-8
 TERM=tmux-256color
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/usr/bin/fish
SourcePackage: coreutils
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: coreutils (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal uec-images

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to coreutils in Ubuntu.
https://bugs.launchpad.net/bugs/1887503

Title:
  "sort" does not perform correctly when locale is en_GB or en_US

Status in coreutils package in Ubuntu:
  New

Bug description:
  Create a plain text file with two lines:

  a1 12
  a 12

  Sort it using locale "C", observe the correct result:

  env LC_ALL=C sort test.txt
  a 12
  a1 12

  Sort it using other English locales and observe the incorrect result:

  env LC_ALL=en_US sort test.txt
  a1 12
  a 12
  env LC_ALL=en_GB sort test.txt
  a1 12
  a 12

  The system has the following locales packages installed:

  ii  locales  2.31-0ubuntu9   
all  GNU C Library: National Language (locale) data [support]
  ii  locales-all  2.31-0ubuntu9   
amd64GNU C Library: Precompiled locale data

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: coreutils 8.30-3ubuntu2
  ProcVersionSignature: Microsoft 4.4.0-18362.836-Microsoft 4.4.35
  Uname: Linux 4.4.0-18362-Microsoft x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Tue Jul 14 12:36:53 2020
  ProcEnviron:
   LANGUAGE=en_GB.UTF-8
   TERM=tmux-256color
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/usr/bin/fish
  SourcePackage: coreutils
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/coreutils/+bug/1887503/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887502] [NEW] Wayland desktop doesn't refresh

2020-07-14 Thread J-Paul BERARD
Public bug reported:

Ubuntu 20.04 wayland
When I save different files (LibreOffice Writer and PDF) in the desktop folder, 
then delete them, the desktop doesn't refresh : the deleted files stay 
displayed on the desktop (the screen) (despite they don't appear anymore in 
Nautilus).

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
Uname: Linux 5.4.0-40-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
BootLog: Error: [Errno 13] Permission non accordée: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Tue Jul 14 11:27:06 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 6.1.6, 5.4.0-39-generic, x86_64: installed
 virtualbox, 6.1.6, 5.4.0-40-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Barts PRO [Radeon HD 6850] [1002:6739] 
(prog-if 00 [VGA controller])
   Subsystem: PC Partner Limited / Sapphire Technology Barts PRO [Radeon HD 
6850] [174b:174b]
InstallationDate: Installed on 2020-04-10 (94 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic 
root=UUID=042824eb-95be-471e-bdb4-d7adf594a94a ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/05/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P2.80
dmi.board.name: 970 Extreme4
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP2.80:bd08/05/2015:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rn970Extreme4:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: To Be Filled By O.E.M.
dmi.product.sku: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu wayland-session

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887502

Title:
  Wayland desktop doesn't refresh

Status in xorg package in Ubuntu:
  New

Bug description:
  Ubuntu 20.04 wayland
  When I save different files (LibreOffice Writer and PDF) in the desktop 
folder, then delete them, the desktop doesn't refresh : the deleted files stay 
displayed on the desktop (the screen) (despite they don't appear anymore in 
Nautilus).

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
  Uname: Linux 5.4.0-40-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission non accordée: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jul 14 11:27:06 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus:
   virtualbox, 6.1.6, 5.4.0-39-generic, x86_64: installed
   virtualbox, 6.1.6, 5.4.0-40-generic, x86_64: installed
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Barts PRO [Radeon HD 6850] 
[1002:6739] (prog-if 00 [VGA controller])
 Subsystem: PC Partner Limited / Sapphire Technology Barts PRO [Radeon HD 
6850] [174b:174b]
  InstallationDate: Installed on 2020-04-10 (94 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic 
root=UUID=042824eb-95be-471e-bdb4-d7adf594a94a ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/05/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P2.80
  dmi.board.name: 970 Extreme4
  dmi.board.vendor: ASRock
  

[Touch-packages] [Bug 1345463] Re: Banshee.exe crashed with SIGSEGV in conservatively_pin_objects_from()

2020-07-14 Thread Daniel Letzeisen
Ubuntu 14.04/Trusty has reached End of Life (EoL) for standard support
and the banshee package is not included in the Extended Security
Maintenance plan:
https://wiki.ubuntu.com/SecurityTeam/ESM/14.04#A14.04_Infrastructure_ESM_Packages

If this issue still exists in supported Ubuntu releases, please re-open
this bug or file a new one: https://wiki.ubuntu.com/Releases

Also note that banshee is effectively a "dead" project. Its git
repository is archived, and it has not seen significant development in
several years.


** Changed in: gstreamer1.0 (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gstreamer1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1345463

Title:
  Banshee.exe crashed with SIGSEGV in conservatively_pin_objects_from()

Status in gstreamer1.0 package in Ubuntu:
  Invalid

Bug description:
  ((

  ProblemType: Crash
  DistroRelease: Ubuntu 14.10
  Package: libgstreamer0.10-0 0.10.36-1.2ubuntu3
  ProcVersionSignature: Ubuntu 3.16.0-4.9-generic 3.16.0-rc5
  Uname: Linux 3.16.0-4-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.14.4-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Sun Jul 20 14:15:54 2014
  ExecutablePath: /usr/lib/banshee/Banshee.exe
  InstallationDate: Installed on 2014-05-01 (80 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Daily amd64 (20140413)
  InterpreterPath: /usr/bin/mono-sgen
  ProcCmdline: banshee /usr/lib/banshee/Banshee.exe --redirect-log 
--play-enqueued
  Signal: 11
  SourcePackage: gstreamer0.10
  StacktraceTop:
   conservatively_pin_objects_from (start=0x7f8faf7feffc, end=0x7f8faf7ff000, 
start_nursery=start_nursery@entry=0x7f901e00, 
end_nursery=end_nursery@entry=0x7f901e40, pin_type=pin_type@entry=0) at 
sgen-gc.c:1478
   scan_thread_data (start_nursery=0x7f901e00, 
end_nursery=end_nursery@entry=0x7f901e40, precise=precise@entry=0, 
queue=queue@entry=0x983120 ) at sgen-gc.c:4057
   pin_from_roots (start_nursery=, 
end_nursery=end_nursery@entry=0x7f901e40, queue=0x983120 ) at 
sgen-gc.c:1537
   collect_nursery (unpin_queue=unpin_queue@entry=0x0, 
finish_up_concurrent_mark=finish_up_concurrent_mark@entry=0) at sgen-gc.c:2586
   collect_nursery (finish_up_concurrent_mark=0, unpin_queue=0x0) at 
sgen-gc.c:3547
  Title: Banshee.exe crashed with SIGSEGV in conservatively_pin_objects_from()
  UpgradeStatus: Upgraded to utopic on 2014-07-12 (7 days ago)
  UserGroups: adm cdrom debian-tor dip lpadmin plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gstreamer1.0/+bug/1345463/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1347914] [NEW] Audacity crashes on startup while trying to read /proc/cpuinfo

2020-07-14 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

root@tegra-ubuntu:~# audacity
ALSA lib pcm_dsnoop.c:618:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
ALSA lib pcm_dmix.c:961:(snd_pcm_dmix_open) The dmix plugin supports only 
playback stream
ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
FATAL: cannot locate cpu MHz in /proc/cpuinfo

It looks like audacity requires the Bogomips value from /proc/cpuinfo which is 
no more
present in modern kernels.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: audacity 2.0.5-1ubuntu3.2
Uname: Linux 3.10.24-gf455cd4 armv7l
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: armhf
CurrentDesktop: Unity
Date: Wed Jul 23 22:44:22 2014
SourcePackage: audacity
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: jackd2 (Ubuntu)
 Importance: Undecided
 Status: Fix Released


** Tags: apport-bug armhf trusty
-- 
Audacity crashes on startup while trying to read /proc/cpuinfo
https://bugs.launchpad.net/bugs/1347914
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to jackd2 in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1360885] Re: Banshee crashes

2020-07-14 Thread Daniel Letzeisen
Ubuntu 14.04/Trusty has reached End of Life (EoL) for standard support
and the banshee package is not included in the Extended Security
Maintenance plan:
https://wiki.ubuntu.com/SecurityTeam/ESM/14.04#A14.04_Infrastructure_ESM_Packages

If this issue still exists in supported Ubuntu releases, please re-open
this bug or file a new one: https://wiki.ubuntu.com/Releases

Also note that banshee is effectively a "dead" project. Its git
repository is archived, and it has not seen significant development in
several years.

** Changed in: gstreamer1.0 (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gstreamer1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1360885

Title:
  Banshee crashes

Status in gstreamer1.0 package in Ubuntu:
  Invalid

Bug description:
  Banshee crashes seemingly randomly. I don't know if certain files
  trigger the crash, but I can reproduce.

  I got the error below from the terminal. Let me know if you need me to
  get further info:

  
  (Banshee:8550): GStreamer-CRITICAL **: 
  Trying to dispose element playbin, but it is in PLAYING instead of the NULL 
state.
  You need to explicitly set elements to the NULL state before
  dropping the final reference, to allow them to clean up.
  This problem may also be caused by a refcounting bug in the
  application or some element.

  
  (Banshee:8550): GLib-GObject-CRITICAL **: g_object_ref: assertion 
'object->ref_count > 0' failed

  (Banshee:8550): GLib-GObject-CRITICAL **: g_object_unref: assertion
  'object->ref_count > 0' failed

  (Banshee:8550): GStreamer-CRITICAL **: gst_object_unref: assertion
  'object != NULL' failed

  (Banshee:8550): GStreamer-WARNING **: Element 'uridecodebin7' is not in bin 
'playbin'
  GLib (gthread-posix.c): Unexpected error from C library during 
'pthread_mutex_unlock': Invalid argument.  Aborting.
  Stacktrace:

  
  Native stacktrace:

banshee() [0x8105b4a]
[0xb779640c]
[0xb7796424]
/lib/i386-linux-gnu/libc.so.6(gsignal+0x47) [0xb757f937]
/lib/i386-linux-gnu/libc.so.6(abort+0x143) [0xb7582d63]
/lib/i386-linux-gnu/libglib-2.0.so.0(+0x164b9) [0xb57564b9]
/lib/i386-linux-gnu/libglib-2.0.so.0(g_mutex_unlock+0x2f) [0xb57cc14f]
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstplayback.so(+0x20c92) 
[0xabc72c92]

/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOIDv+0x49)
 [0xb5134729]
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(+0xdcce) [0xb5132cce]
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x480) 
[0xb514c080]
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x33) 
[0xb514cbf3]
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstplayback.so(+0x14341) 
[0xabc66341]

/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOIDv+0x49)
 [0xb5134729]
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(+0xdcce) [0xb5132cce]
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x480) 
[0xb514c080]
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x33) 
[0xb514cbf3]
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstplayback.so(+0xbdbf) 
[0xabc5ddbf]
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstplayback.so(+0xe7a6) 
[0xabc607a6]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x59c24) [0xb2ca5c24]
/lib/i386-linux-gnu/libglib-2.0.so.0(g_hook_list_marshal+0x8a) 
[0xb5777bfa]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x1b47b) [0xb2c6747b]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x5ae28) [0xb2ca6e28]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x5b478) [0xb2ca7478]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x59487) [0xb2ca5487]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(gst_pad_push_event+0x3ab) 
[0xb2cb01cb]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x64349) [0xb2cb0349]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(gst_pad_forward+0x1f3) 
[0xb2cad173]

/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(gst_pad_event_default+0x11b) 
[0xb2cad2db]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x5a718) [0xb2ca6718]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x5afa3) [0xb2ca6fa3]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x5b478) [0xb2ca7478]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x59487) [0xb2ca5487]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(gst_pad_push_event+0x3ab) 
[0xb2cb01cb]
/usr/lib/i386-linux-gnu/libgstaudio-1.0.so.0(+0x191a2) [0xb2e711a2]
/usr/lib/i386-linux-gnu/libgstaudio-1.0.so.0(+0x1f504) [0xb2e77504]
/usr/lib/i386-linux-gnu/libgstaudio-1.0.so.0(+0x17aa2) [0xb2e6faa2]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x5a718) [0xb2ca6718]
/usr/lib/i386-linux-gnu/libgstreamer-1.0.so.0(+0x5afa3) 

[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-14 Thread Christian Ehrhardt 
To have a bileto PPA with security only (thanks Sil2100 for stopping it to 
reconfigure itself) look at:
https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/4151

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  In Progress

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-14 Thread Christian Ehrhardt 
On first check by the SRU team I got:
[18:34]  cpaelzer: ok, looking at the binutils SRU, so you talked to 
do_ko about it, right? Was he +1 on the change?

He was in a private IRC, I now asked him to state it here as well so
that it is visible to the SRU team. And he already did so - thanks!

[18:35]  cpaelzer: also, since this is a toolchain package, we
need to first build it in a -security only PPA, as we need it to go to
both -updates and -security

Hmm, I didn't know that is a common pre-check for toolchain packages - thanks 
for the hint.
I have opened a security only all-bionic-arch enabled PPA for this and started 
a build at:
=> https://launchpad.net/~paelzer/+archive/ubuntu/lp-1883880-binutils-sec-only
The first few builds are completed by now.

I hope this helps to remove the remaining blockers to get this into
bionic-proposed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  In Progress

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1716857] Re: nvidia-drm.modeset=1, gdm3 and optimus laptop results in no external monitors detected by Xorg

2020-07-14 Thread Kai-Chuan Hsieh
Test on Intel Tiger Lake platform with nvidia dGPU (N17S-G5
PCI\VEN_10DE_1C94).

Distribution: Ubuntu
Codename: focal
kernel: 5.6.0-1018-oem
NV driver: 440.100
nvidia_drm modeset=1
gdm3: 3.34.1-1ubuntu1
xserver-xorg-core: 2:1.20.8-2ubuntu2.1

The device can detect external 4K/UHD monitor sucessfully by HDMI or DP.
It seems the original issue is not able to reproduce on this machine.
However, the modeset has to be enabled for 
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/+bug/1769857/comments/5,
 but it is disabled by default currently.

** Attachment added: "Attach my external monitors edid for reference"
   
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1716857/+attachment/5392513/+files/philips-edid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1716857

Title:
  nvidia-drm.modeset=1, gdm3 and optimus laptop results in no external
  monitors detected by Xorg

Status in gdm3 package in Ubuntu:
  Opinion
Status in nvidia-graphics-drivers-375 package in Ubuntu:
  Confirmed
Status in nvidia-graphics-drivers-418 package in Ubuntu:
  Confirmed
Status in nvidia-graphics-drivers-430 package in Ubuntu:
  Confirmed
Status in nvidia-graphics-drivers-435 package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  Context:
  17.10 development packages, nvidia binary driver 375, modeset=1 for the 
nvidia driver.
  ubuntu desktop (gnome shell), fresh install
  ThinkPad W520 in Nvidia Optimus bios mode.
  Nvidia profile.

  Result:
  no external monitors are detected.
  xrandr does not even list them as disconnected (normally it would list five 
external disconnected monitors)

  
  lsmod 
  shows that nvidia driver is loaded
  and the modesetting is working at some level because there is no tearing on 
the laptop panel

  
  Note: modeset=1 is the only way to get flicker-free graphics on the laptop 
panel. modeset=1 is not the default setting but it is highly desirable. 

  It works if lightdm is used which is why I have reported this against gdm3
  My sessions in this configuration have mostly crashed after a few minutes 
with a gdm3 fail whale message in syslog but nothing else looks interesting.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1716857/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-14 Thread Matthias Klose
yes, this looks sensible as a SRU

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  In Progress

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882161] Re: module-switch-on-port-avaiable: switch the port on ucm devices based on the priority

2020-07-14 Thread Łukasz Zemczak
Hello Hui, or anyone else affected,

Accepted pulseaudio into focal-proposed. The package will build now and
be available at
https://launchpad.net/ubuntu/+source/pulseaudio/1:13.99.1-1ubuntu3.4 in
a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
focal to verification-done-focal. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-focal. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Tags added: verification-needed verification-needed-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1882161

Title:
  module-switch-on-port-avaiable: switch the port on ucm devices based
  on the priority

Status in HWE Next:
  New
Status in OEM Priority Project:
  New
Status in pulseaudio package in Ubuntu:
  Fix Released
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * On the Dell machines with multi function audio jack, the
     headphone/headset can't output sound automatically, which is different
     from ubuntu 18.04. The headphone/headset should be able to  output
     sound automatically after plugging in the audio jack.

  [Test Case]

   * On Tiger Lake platform
     Reproduce step:
     1. plug headphone/headset
     2. open g-c-c sound to check

     Expect result: The output device should switch to headphone or headset,
    since headphone's priority is higher in ucm2 config.
     Actual result: The output device is still internal speaker.

  [Regression Potential]

   * The change insert the ucm device by its priority, the potential
 regression is low, since if the change is not working properly, the 
 side effect is that the order of ucm devices are wrong, and it won't 
 switch to the correct output device as expect, but user can still
 config it manually.

  [Other]

   * This bug originates from an OEM private bug #1875597, then ubuntu users
     reported 2 public bugs #1871329 and #1881659. The 2nd issue of #1871329
     and the 1st issue of #1881659 have the same root cause as #1875597

   * The root cause is the ucm2 conf defines 2 input devices: the Mic2 and
     Headset MIC, and the pulseaudio parse the input device Headset MIC
     first then Mic2, finally the audio jack is set to Mic2 mode, this make
     the audio jack can't output sound anymore. To fix it, let the audio
     jack set to Headset MIC mode by default (Headset MIC has higher
     priority than Mic2 in the ucm2 conf), to do so, let pulseaudio send the
     device event to module-switch-on-port-available by the order of
     priority in the umc2.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1882161/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887478] [NEW] missing symlinks for login and logout files used by gnome

2020-07-14 Thread Yousuf 'Jay' Philips
Public bug reported:

Merge request submitted upstream in Debian to fix the issue.
https://salsa.debian.org/gnome-team/sound-theme-freedesktop/-/merge_requests/1

** Affects: sound-theme-freedesktop (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sound-theme-freedesktop in
Ubuntu.
https://bugs.launchpad.net/bugs/1887478

Title:
  missing symlinks for login and logout files used by gnome

Status in sound-theme-freedesktop package in Ubuntu:
  New

Bug description:
  Merge request submitted upstream in Debian to fix the issue.
  https://salsa.debian.org/gnome-team/sound-theme-freedesktop/-/merge_requests/1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sound-theme-freedesktop/+bug/1887478/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp